drop table if exists sscAudAdministrator;
drop table if exists sscAudAdministratorRole;
drop table if exists sscAudAttribute;
drop table if exists sscAudBasicTaxRate;
drop table if exists sscAudCategory;
drop table if exists sscAudCategorySetting;
drop table if exists sscAudCountry;
drop table if exists sscAudCustomer;
drop table if exists sscAudCustomerAddress;
drop table if exists sscAudCustomerWishList;
drop table if exists sscAudCustomerWishListProduct;
drop table if exists sscAudDiscount;
drop table if exists sscAudDiscountRange;
drop table if exists sscAudManufacturer;
drop table if exists sscAudOption;
drop table if exists sscAudOrder;
drop table if exists sscAudOrderDelivery;
drop table if exists sscAudOrderDiscount;
drop table if exists sscAudOrderItem;
drop table if exists sscAudOrderItemAttribute;
drop table if exists sscAudOrderSetting;
drop table if exists sscAudOrderShippingRule;
drop table if exists sscAudPayment;
drop table if exists sscAudProduct;
drop table if exists sscAudProductAttribute;
drop table if exists sscAudProductCategory;
drop table if exists sscAudProductReview;
drop table if exists sscAudProductSetting;
drop table if exists sscAudRelatedProduct;
drop table if exists sscAudRole;
drop table if exists sscAudSKU;
drop table if exists sscAudSKUDiscount;
drop table if exists sscAudSKUShippingRule;
drop table if exists sscAudSetting;
drop table if exists sscAudShippingMethod;
drop table if exists sscAudShippingRate;
drop table if exists sscAudShippingRule;
drop table if exists sscAudShippingRuleRange;
drop table if exists sscAudState;
drop table if exists sscAudTemplate;
drop table if exists sscREVCHANGES;
drop table if exists sscREVINFO;

create table sscAudAdministrator (
        class varchar(255) not null,
        administratorID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        administratorID_MOD bit,
        userName varchar(100),
        userName_MOD bit,
        password varchar(255),
        password_MOD bit,
        lastLogin varchar(100),
        lastLogin_MOD bit,
        isApiUser bit,
        isApiUser_MOD bit,
        passwordExpires varchar(100),
        passwordExpires_MOD bit,
        numberOfFailedLogins integer,
        numberOfFailedLogins_MOD bit,
        lockedOutUntil varchar(100),
        lockedOutUntil_MOD bit,
        previousPasswords text,
        previousPasswords_MOD bit,
        allowedIPAddresses text,
        allowedIPAddresses_MOD bit,
        isActive bit,
        isActive_MOD bit,
        administratorRoles_MOD bit,
        primary key (administratorID, REV)
    ) engine=InnoDB;
create table sscAudAdministratorRole (
        class varchar(255) not null,
        administratorRoleID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        administratorRoleID_MOD bit,
        administratorID integer,
        administratorID_MOD bit,
        roleID integer,
        roleID_MOD bit,
        administrator_MOD bit,
        role_MOD bit,
        primary key (administratorRoleID, REV)
    ) engine=InnoDB;
create table sscAudAttribute (
        class varchar(255) not null,
        attributeID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        attributeID_MOD bit,
        attributeCode varchar(100),
        attributeCode_MOD bit,
        attributeName varchar(255),
        attributeName_MOD bit,
        attributeDescription text,
        attributeDescription_MOD bit,
        attributeIsActive bit,
        attributeIsActive_MOD bit,
        attributeType varchar(32),
        attributeType_MOD bit,
        attributeUnitCost double precision,
        attributeUnitCost_MOD bit,
        attributeUnitPrice double precision,
        attributeUnitPrice_MOD bit,
        attributeAltPrice double precision,
        attributeAltPrice_MOD bit,
        attributeWeight double precision,
        attributeWeight_MOD bit,
        attributeSmallImage varchar(255),
        attributeSmallImage_MOD bit,
        attributeLargeImage varchar(255),
        attributeLargeImage_MOD bit,
        attributeIsRequired bit,
        attributeIsRequired_MOD bit,
        defaultOptionID integer,
        defaultOptionID_MOD bit,
        attributeOrder integer,
        attributeOrder_MOD bit,
        productAttributes_MOD bit,
        attributeOptions_MOD bit,
        primary key (attributeID, REV)
    ) engine=InnoDB;
create table sscAudBasicTaxRate (
        class varchar(255) not null,
        basicTaxRateID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        basicTaxRateID_MOD bit,
        countryID integer,
        countryID_MOD bit,
        stateID integer,
        stateID_MOD bit,
        city varchar(100),
        city_MOD bit,
        postalCode varchar(100),
        postalCode_MOD bit,
        rate double precision,
        rate_MOD bit,
        isActive bit,
        isActive_MOD bit,
        country_MOD bit,
        state_MOD bit,
        primary key (basicTaxRateID, REV)
    ) engine=InnoDB;
create table sscAudCategory (
        class varchar(255) not null,
        categoryID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        categoryID_MOD bit,
        parentCategory integer,
        parentCategory_MOD bit,
        code varchar(100),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        description text,
        description_MOD bit,
        keywords varchar(255),
        keywords_MOD bit,
        isActive bit,
        isActive_MOD bit,
        isContentPage bit,
        isContentPage_MOD bit,
        categoryTreeID integer,
        categoryTreeID_MOD bit,
        header text,
        header_MOD bit,
        footer text,
        footer_MOD bit,
        smallImage varchar(255),
        smallImage_MOD bit,
        mediumImage varchar(255),
        mediumImage_MOD bit,
        largeImage varchar(255),
        largeImage_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        categoryOrder integer,
        categoryOrder_MOD bit,
        parent_MOD bit,
        productCategories_MOD bit,
        categorySettings_MOD bit,
        primary key (categoryID, REV)
    ) engine=InnoDB;
create table sscAudCategorySetting (
        class varchar(255) not null,
        categorySettingID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        categorySettingID_MOD bit,
        categoryID integer,
        categoryID_MOD bit,
        code varchar(100),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        description varchar(255),
        description_MOD bit,
        type varchar(100),
        type_MOD bit,
        valueType varchar(16),
        valueType_MOD bit,
        integerValue integer,
        integerValue_MOD bit,
        smallValue varchar(64),
        smallValue_MOD bit,
        mediumValue varchar(255),
        mediumValue_MOD bit,
        textValue text,
        textValue_MOD bit,
        category_MOD bit,
        primary key (categorySettingID, REV)
    ) engine=InnoDB;
create table sscAudCountry (
        class varchar(255) not null,
        countryID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        code varchar(255),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        isActive bit,
        isActive_MOD bit,
        allowOtherStates bit,
        allowOtherStates_MOD bit,
        countryOrder integer,
        countryOrder_MOD bit,
        states_MOD bit,
        primary key (countryID, REV)
    ) engine=InnoDB;

    create table sscAudCustomer (
        class varchar(255) not null,
        customerID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        customerID_MOD bit,
        userName varchar(100),
        userName_MOD bit,
        password varchar(255),
        password_MOD bit,
        created varchar(100),
        created_MOD bit,
        lastLogin varchar(100),
        lastLogin_MOD bit,
        autoLoginToken varchar(255),
        autoLoginToken_MOD bit,
        status varchar(100),
        status_MOD bit,
        firstName varchar(100),
        firstName_MOD bit,
        lastName varchar(100),
        lastName_MOD bit,
        organization varchar(100),
        organization_MOD bit,
        address1 varchar(255),
        address1_MOD bit,
        address2 varchar(255),
        address2_MOD bit,
        city varchar(100),
        city_MOD bit,
        state varchar(100),
        state_MOD bit,
        postalCode varchar(100),
        postalCode_MOD bit,
        country varchar(100),
        country_MOD bit,
        phone1 varchar(100),
        phone1_MOD bit,
        phone2 varchar(100),
        phone2_MOD bit,
        email1 varchar(100),
        email1_MOD bit,
        email2 varchar(100),
        email2_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        extra4 varchar(255),
        extra4_MOD bit,
        extra5 varchar(255),
        extra5_MOD bit,
        notes text,
        notes_MOD bit,
        cimProfileID varchar(100),
        cimProfileID_MOD bit,
        canUsePO bit,
        canUsePO_MOD bit,
        passwordToken varchar(100),
        passwordToken_MOD bit,
        passwordTokenDate varchar(100),
        passwordTokenDate_MOD bit,
        customerAddressCollection_MOD bit,
        customerWishLists_MOD bit,
        passwordExpires VARCHAR(255),
        passwordExpires_MOD bit,
        numberOfFailedLogins INT(11),
        numberOfFailedLogins_MOD bit,
        lockedOutUntil VARCHAR(255),
        lockedOutUntil_MOD bit,
        previousPasswords TEXT,
        previousPasswords_MOD bit,
        primary key (customerID, REV)
    ) engine=InnoDB;

    create table sscAudCustomerAddress (
        class varchar(255) not null,
        customerAddressID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        customerAddressID_MOD bit,
        customerID integer,
        customerID_MOD bit,
        status varchar(100),
        status_MOD bit,
        firstName varchar(100),
        firstName_MOD bit,
        lastName varchar(100),
        lastName_MOD bit,
        organization varchar(100),
        organization_MOD bit,
        address1 varchar(255),
        address1_MOD bit,
        address2 varchar(255),
        address2_MOD bit,
        city varchar(100),
        city_MOD bit,
        state varchar(100),
        state_MOD bit,
        postalCode varchar(100),
        postalCode_MOD bit,
        country varchar(100),
        country_MOD bit,
        phone1 varchar(100),
        phone1_MOD bit,
        phone2 varchar(100),
        phone2_MOD bit,
        email1 varchar(100),
        email1_MOD bit,
        email2 varchar(100),
        email2_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        extra4 varchar(255),
        extra4_MOD bit,
        extra5 varchar(255),
        extra5_MOD bit,
        notes text,
        notes_MOD bit,
        isDefault bit,
        isDefault_MOD bit,
        paymentToken varchar(255),
        paymentToken_MOD bit,
        creditCardName varchar(255),
        creditCardName_MOD bit,
        creditCardType varchar(16),
        creditCardType_MOD bit,
        creditCardDate varchar(16),
        creditCardDate_MOD bit,
        creditCardNumberDisplay varchar(32),
        creditCardNumberDisplay_MOD bit,
        identifier varchar(255),
        identifier_MOD bit,
        isBilling bit,
        isBilling_MOD bit,
        customer_MOD bit,
        primary key (customerAddressID, REV)
    ) engine=InnoDB;

    create table sscAudCustomerWishList (
        class varchar(255) not null,
        customerWishListID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        customerWishListID_MOD bit,
        customerID integer,
        customerID_MOD bit,
        name varchar(100),
        name_MOD bit,
        description text,
        description_MOD bit,
        created varchar(100),
        created_MOD bit,
        lastUpdated varchar(100),
        lastUpdated_MOD bit,
        customer_MOD bit,
        customerWishListProducts_MOD bit,
        primary key (customerWishListID, REV)
    ) engine=InnoDB;

    create table sscAudCustomerWishListProduct (
        class varchar(255) not null,
        customerWishListProductID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        customerWishListProductID_MOD bit,
        customerWishListID integer,
        customerWishListID_MOD bit,
        productID integer,
        productID_MOD bit,
        product_MOD bit,
        customerWishList_MOD bit,
        primary key (customerWishListProductID, REV)
    ) engine=InnoDB;

    create table sscAudDiscount (
        class varchar(255) not null,
        discountID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        discountID_MOD bit,
        code varchar(100),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        description text,
        description_MOD bit,
        isActive bit,
        isActive_MOD bit,
        usersAppliesType varchar(32),
        usersAppliesType_MOD bit,
        usersAppliesValue varchar(255),
        usersAppliesValue_MOD bit,
        itemsAppliesType varchar(32),
        itemsAppliesType_MOD bit,
        itemsAppliesValue varchar(255),
        itemsAppliesValue_MOD bit,
        cartItemsType varchar(32),
        cartItemsType_MOD bit,
        cartItemsValue varchar(255),
        cartItemsValue_MOD bit,
        rewardType varchar(32),
        rewardType_MOD bit,
        reward double precision,
        reward_MOD bit,
        couponCode varchar(64),
        couponCode_MOD bit,
        startDate varchar(100),
        startDate_MOD bit,
        expirationDate varchar(100),
        expirationDate_MOD bit,
        timesUsed integer,
        timesUsed_MOD bit,
        maxTimesUsed integer,
        maxTimesUsed_MOD bit,
        isTimesPerCustomer bit,
        isTimesPerCustomer_MOD bit,
        orderItemID integer,
        orderItemID_MOD bit,
        discountOrder integer,
        discountOrder_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        skuDiscounts_MOD bit,
        discountRanges_MOD bit,
        orderItem_MOD bit,
        primary key (discountID, REV)
    ) engine=InnoDB;

    create table sscAudDiscountRange (
        class varchar(255) not null,
        discountRangeID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        discountRangeID_MOD bit,
        discountID integer,
        discountID_MOD bit,
        rewardType varchar(32),
        rewardType_MOD bit,
        reward double precision,
        reward_MOD bit,
        floor double precision,
        floor_MOD bit,
        ceiling double precision,
        ceiling_MOD bit,
        isActive bit,
        isActive_MOD bit,
        discount_MOD bit,
        primary key (discountRangeID, REV)
    ) engine=InnoDB;

    create table sscAudManufacturer (
        class varchar(255) not null,
        manufacturerID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        manufacturerID_MOD bit,
        code varchar(100),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        websiteURL varchar(255),
        websiteURL_MOD bit,
        description text,
        description_MOD bit,
        isActive bit,
        isActive_MOD bit,
        header text,
        header_MOD bit,
        footer text,
        footer_MOD bit,
        smallImage varchar(255),
        smallImage_MOD bit,
        largeImage varchar(255),
        largeImage_MOD bit,
        isDropShipper bit,
        isDropShipper_MOD bit,
        address1 varchar(255),
        address1_MOD bit,
        address2 varchar(255),
        address2_MOD bit,
        city varchar(100),
        city_MOD bit,
        state varchar(100),
        state_MOD bit,
        postalCode varchar(100),
        postalCode_MOD bit,
        country varchar(100),
        country_MOD bit,
        phone varchar(100),
        phone_MOD bit,
        email varchar(100),
        email_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        manufacturerOrder integer,
        manufacturerOrder_MOD bit,
        primary key (manufacturerID, REV)
    ) engine=InnoDB;

    create table sscAudOption (
        class varchar(255) not null,
        optionID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        optionID_MOD bit,
        attributeID integer,
        attributeID_MOD bit,
        optionCode varchar(100),
        optionCode_MOD bit,
        optionName varchar(255),
        optionName_MOD bit,
        optionDescription text,
        optionDescription_MOD bit,
        optionIsActive bit,
        optionIsActive_MOD bit,
        optionUnitCost double precision,
        optionUnitCost_MOD bit,
        optionUnitPrice double precision,
        optionUnitPrice_MOD bit,
        optionAltPrice double precision,
        optionAltPrice_MOD bit,
        optionWeight double precision,
        optionWeight_MOD bit,
        optionSmallImage varchar(255),
        optionSmallImage_MOD bit,
        optionLargeImage varchar(255),
        optionLargeImage_MOD bit,
        optionOrder integer,
        optionOrder_MOD bit,
        attribute_MOD bit,
        primary key (optionID, REV)
    ) engine=InnoDB;

    create table sscAudOrder (
        class varchar(255) not null,
        orderID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        orderID_MOD bit,
        customerID integer,
        customerID_MOD bit,
        userName varchar(100),
        userName_MOD bit,
        orderNumber integer,
        orderNumber_MOD bit,
        trackingNumber varchar(100),
        trackingNumber_MOD bit,
        total double precision,
        total_MOD bit,
        shipping double precision,
        shipping_MOD bit,
        tax double precision,
        tax_MOD bit,
        taxableSubtotal double precision,
        taxableSubtotal_MOD bit,
        subtotal double precision,
        subtotal_MOD bit,
        weight double precision,
        weight_MOD bit,
        quantity integer,
        quantity_MOD bit,
        created varchar(100),
        created_MOD bit,
        lastModified varchar(100),
        lastModified_MOD bit,
        completed varchar(100),
        completed_MOD bit,
        autoSavedCartToken varchar(255),
        autoSavedCartToken_MOD bit,
        status varchar(100),
        status_MOD bit,
        statusDetails varchar(255),
        statusDetails_MOD bit,
        shippingMethod varchar(255),
        shippingMethod_MOD bit,
        firstName varchar(100),
        firstName_MOD bit,
        lastName varchar(100),
        lastName_MOD bit,
        organization varchar(100),
        organization_MOD bit,
        address1 varchar(255),
        address1_MOD bit,
        address2 varchar(255),
        address2_MOD bit,
        city varchar(100),
        city_MOD bit,
        state varchar(100),
        state_MOD bit,
        postalCode varchar(100),
        postalCode_MOD bit,
        country varchar(100),
        country_MOD bit,
        phone1 varchar(100),
        phone1_MOD bit,
        phone2 varchar(100),
        phone2_MOD bit,
        email1 varchar(100),
        email1_MOD bit,
        email2 varchar(100),
        email2_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        extra4 varchar(255),
        extra4_MOD bit,
        extra5 varchar(255),
        extra5_MOD bit,
        notes text,
        notes_MOD bit,
        paymentProfileID varchar(100),
        paymentProfileID_MOD bit,
        customer_MOD bit,
        orderDeliveryCollection_MOD bit,
        payments_MOD bit,
        orderDiscounts_MOD bit,
        orderShippingRules_MOD bit,
        orderSettings_MOD bit,
        primary key (orderID, REV)
    ) engine=InnoDB;

    create table sscAudOrderDelivery (
        class varchar(255) not null,
        orderDeliveryID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        orderDeliveryID_MOD bit,
        orderID integer,
        orderID_MOD bit,
        trackingNumber varchar(100),
        trackingNumber_MOD bit,
        total double precision,
        total_MOD bit,
        shipping double precision,
        shipping_MOD bit,
        tax double precision,
        tax_MOD bit,
        taxableSubtotal double precision,
        taxableSubtotal_MOD bit,
        subtotal double precision,
        subtotal_MOD bit,
        weight double precision,
        weight_MOD bit,
        quantity integer,
        quantity_MOD bit,
        lastModified varchar(100),
        lastModified_MOD bit,
        delivered varchar(100),
        delivered_MOD bit,
        status varchar(100),
        status_MOD bit,
        statusDetails varchar(255),
        statusDetails_MOD bit,
        firstName varchar(100),
        firstName_MOD bit,
        lastName varchar(100),
        lastName_MOD bit,
        organization varchar(100),
        organization_MOD bit,
        address1 varchar(255),
        address1_MOD bit,
        address2 varchar(255),
        address2_MOD bit,
        city varchar(100),
        city_MOD bit,
        state varchar(100),
        state_MOD bit,
        postalCode varchar(100),
        postalCode_MOD bit,
        country varchar(100),
        country_MOD bit,
        phone1 varchar(100),
        phone1_MOD bit,
        phone2 varchar(100),
        phone2_MOD bit,
        email1 varchar(100),
        email1_MOD bit,
        email2 varchar(100),
        email2_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        extra4 varchar(255),
        extra4_MOD bit,
        extra5 varchar(255),
        extra5_MOD bit,
        notes text,
        notes_MOD bit,
        order_MOD bit,
        orderItemCollection_MOD bit,
        primary key (orderDeliveryID, REV)
    ) engine=InnoDB;

    create table sscAudOrderDiscount (
        class varchar(255) not null,
        orderDiscountID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        orderDiscountID_MOD bit,
        orderID integer,
        orderID_MOD bit,
        orderItemID integer,
        orderItemID_MOD bit,
        total double precision,
        total_MOD bit,
        discountID integer,
        discountID_MOD bit,
        code varchar(100),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        usersAppliesType varchar(32),
        usersAppliesType_MOD bit,
        usersAppliesValue varchar(255),
        usersAppliesValue_MOD bit,
        itemsAppliesType varchar(32),
        itemsAppliesType_MOD bit,
        itemsAppliesValue varchar(255),
        itemsAppliesValue_MOD bit,
        cartItemsType varchar(32),
        cartItemsType_MOD bit,
        cartItemsValue varchar(255),
        cartItemsValue_MOD bit,
        rewardType varchar(32),
        rewardType_MOD bit,
        reward double precision,
        reward_MOD bit,
        couponCode varchar(64),
        couponCode_MOD bit,
        floor double precision,
        floor_MOD bit,
        ceiling double precision,
        ceiling_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        order_MOD bit,
        orderItem_MOD bit,
        primary key (orderDiscountID, REV)
    ) engine=InnoDB;

    create table sscAudOrderItem (
        class varchar(255) not null,
        orderItemID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        orderItemID_MOD bit,
        orderDeliveryID integer,
        orderDeliveryID_MOD bit,
        orderID integer,
        orderID_MOD bit,
        total double precision,
        total_MOD bit,
        weight double precision,
        weight_MOD bit,
        costTotal double precision,
        costTotal_MOD bit,
        quantity integer,
        quantity_MOD bit,
        productID integer,
        productID_MOD bit,
        manufacturerID integer,
        manufacturerID_MOD bit,
        code varchar(100),
        code_MOD bit,
        seoCode varchar(255),
        seoCode_MOD bit,
        name varchar(255),
        name_MOD bit,
        isActive bit,
        isActive_MOD bit,
        unitCost double precision,
        unitCost_MOD bit,
        unitPrice double precision,
        unitPrice_MOD bit,
        altPrice double precision,
        altPrice_MOD bit,
        productWeight double precision,
        productWeight_MOD bit,
        isTaxed bit,
        isTaxed_MOD bit,
        image varchar(255),
        image_MOD bit,
        shortDescription varchar(255),
        shortDescription_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        extra4 varchar(255),
        extra4_MOD bit,
        extra5 varchar(255),
        extra5_MOD bit,
        decrementedSKUs text,
        decrementedSKUs_MOD bit,
        orderDelivery_MOD bit,
        order_MOD bit,
        orderItemAttributes_MOD bit,
        primary key (orderItemID, REV)
    ) engine=InnoDB;

    create table sscAudOrderItemAttribute (
        class varchar(255) not null,
        orderItemAttributeID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        orderItemAttributeID_MOD bit,
        orderItemID integer,
        orderItemID_MOD bit,
        total double precision,
        total_MOD bit,
        weight double precision,
        weight_MOD bit,
        costTotal double precision,
        costTotal_MOD bit,
        attributeValue text,
        attributeValue_MOD bit,
        attributeID integer,
        attributeID_MOD bit,
        attributeCode varchar(100),
        attributeCode_MOD bit,
        attributeName varchar(255),
        attributeName_MOD bit,
        attributeUnitCost double precision,
        attributeUnitCost_MOD bit,
        attributeUnitPrice double precision,
        attributeUnitPrice_MOD bit,
        attributeAltPrice double precision,
        attributeAltPrice_MOD bit,
        attributeWeight double precision,
        attributeWeight_MOD bit,
        attributeImage varchar(255),
        attributeImage_MOD bit,
        optionID integer,
        optionID_MOD bit,
        optionCode varchar(100),
        optionCode_MOD bit,
        optionName varchar(255),
        optionName_MOD bit,
        optionUnitCost double precision,
        optionUnitCost_MOD bit,
        optionUnitPrice double precision,
        optionUnitPrice_MOD bit,
        optionAltPrice double precision,
        optionAltPrice_MOD bit,
        optionWeight double precision,
        optionWeight_MOD bit,
        optionImage varchar(255),
        optionImage_MOD bit,
        orderItem_MOD bit,
        primary key (orderItemAttributeID, REV)
    ) engine=InnoDB;

    create table sscAudOrderSetting (
        class varchar(255) not null,
        orderSettingID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        orderSettingID_MOD bit,
        orderID integer,
        orderID_MOD bit,
        code varchar(100),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        description varchar(255),
        description_MOD bit,
        type varchar(100),
        type_MOD bit,
        valueType varchar(16),
        valueType_MOD bit,
        integerValue integer,
        integerValue_MOD bit,
        smallValue varchar(64),
        smallValue_MOD bit,
        mediumValue varchar(255),
        mediumValue_MOD bit,
        textValue text,
        textValue_MOD bit,
        order_MOD bit,
        primary key (orderSettingID, REV)
    ) engine=InnoDB;

    create table sscAudOrderShippingRule (
        class varchar(255) not null,
        orderShippingRuleID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        orderShippingRuleID_MOD bit,
        orderID integer,
        orderID_MOD bit,
        orderItemID integer,
        orderItemID_MOD bit,
        total double precision,
        total_MOD bit,
        shippingRuleID integer,
        shippingRuleID_MOD bit,
        code varchar(100),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        ruleType varchar(32),
        ruleType_MOD bit,
        floor double precision,
        floor_MOD bit,
        ceiling double precision,
        ceiling_MOD bit,
        discountType varchar(32),
        discountType_MOD bit,
        discount double precision,
        discount_MOD bit,
        pkgDescription text,
        pkgDescription_MOD bit,
        pkgWeight double precision,
        pkgWeight_MOD bit,
        pkgLength double precision,
        pkgLength_MOD bit,
        pkgHeight double precision,
        pkgHeight_MOD bit,
        pkgWidth double precision,
        pkgWidth_MOD bit,
        limitMethods text,
        limitMethods_MOD bit,
        limitType varchar(32),
        limitType_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        pkgExtra1 varchar(255),
        pkgExtra1_MOD bit,
        pkgExtra2 varchar(255),
        pkgExtra2_MOD bit,
        pkgExtra3 varchar(255),
        pkgExtra3_MOD bit,
        pkgExtra4 varchar(255),
        pkgExtra4_MOD bit,
        pkgExtra5 varchar(255),
        pkgExtra5_MOD bit,
        countries text,
        countries_MOD bit,
        states text,
        states_MOD bit,
        subtotal double precision,
        subtotal_MOD bit,
        order_MOD bit,
        orderItem_MOD bit,
        primary key (orderShippingRuleID, REV)
    ) engine=InnoDB;

    create table sscAudPayment (
        class varchar(255) not null,
        paymentID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        paymentID_MOD bit,
        orderID integer,
        orderID_MOD bit,
        status varchar(100),
        status_MOD bit,
        processorClassName varchar(255),
        processorClassName_MOD bit,
        valueFieldLabels varchar(255),
        valueFieldLabels_MOD bit,
        creditCardName varchar(64),
        creditCardName_MOD bit,
        creditCardType varchar(16),
        creditCardType_MOD bit,
        creditCardDate varchar(16),
        creditCardDate_MOD bit,
        creditCardNumber varchar(64),
        creditCardNumber_MOD bit,
        creditCardNumberDisplay varchar(32),
        creditCardNumberDisplay_MOD bit,
        value1 varchar(255),
        value1_MOD bit,
        value2 varchar(255),
        value2_MOD bit,
        value3 varchar(255),
        value3_MOD bit,
        value4 varchar(255),
        value4_MOD bit,
        value5 varchar(255),
        value5_MOD bit,
        value6 varchar(255),
        value6_MOD bit,
        value7 varchar(255),
        value7_MOD bit,
        value8 varchar(255),
        value8_MOD bit,
        value9 text,
        value9_MOD bit,
        created varchar(255),
        created_MOD bit,
        amount double precision,
        amount_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        paymentProfileID varchar(100),
        paymentProfileID_MOD bit,
        order_MOD bit,
        primary key (paymentID, REV)
    ) engine=InnoDB;

    create table sscAudProduct (
        class varchar(255) not null,
        productID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        productID_MOD bit,
        code varchar(100),
        code_MOD bit,
        seoCode varchar(255),
        seoCode_MOD bit,
        name varchar(255),
        name_MOD bit,
        description text,
        description_MOD bit,
        keywords varchar(255),
        keywords_MOD bit,
        shortDescription varchar(255),
        shortDescription_MOD bit,
        isActive bit,
        isActive_MOD bit,
        isTaxed bit,
        isTaxed_MOD bit,
        unitCost double precision,
        unitCost_MOD bit,
        unitPrice double precision,
        unitPrice_MOD bit,
        altPrice double precision,
        altPrice_MOD bit,
        weight double precision,
        weight_MOD bit,
        header text,
        header_MOD bit,
        footer text,
        footer_MOD bit,
        smallImage varchar(255),
        smallImage_MOD bit,
        mediumImage varchar(255),
        mediumImage_MOD bit,
        largeImage varchar(255),
        largeImage_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        extra4 varchar(255),
        extra4_MOD bit,
        extra5 varchar(255),
        extra5_MOD bit,
        created varchar(100),
        created_MOD bit,
        primaryCategoryID integer,
        primaryCategoryID_MOD bit,
        manufacturerID integer,
        manufacturerID_MOD bit,
        productOrder integer,
        productOrder_MOD bit,
        primaryCategory_MOD bit,
        manufacturer_MOD bit,
        productCategories_MOD bit,
        productAttributes_MOD bit,
        productSettings_MOD bit,
        skus_MOD bit,
        relatedProducts_MOD bit,
        relatedProductsAdmin_MOD bit,
        customerWishListProducts_MOD bit,
        productReviews_MOD bit,
        primary key (productID, REV)
    ) engine=InnoDB;

    create table sscAudProductAttribute (
        class varchar(255) not null,
        productAttributeID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        productAttributeID_MOD bit,
        productID integer,
        productID_MOD bit,
        attributeID integer,
        attributeID_MOD bit,
        productAttributeOrder integer,
        productAttributeOrder_MOD bit,
        product_MOD bit,
        attribute_MOD bit,
        primary key (productAttributeID, REV)
    ) engine=InnoDB;

    create table sscAudProductCategory (
        class varchar(255) not null,
        productCategoryID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        productID integer,
        productID_MOD bit,
        productCategoryID_MOD bit,
        categoryID integer,
        categoryID_MOD bit,
        productCategoryOrder integer,
        productCategoryOrder_MOD bit,
        product_MOD bit,
        category_MOD bit,
        primary key (productCategoryID, REV)
    ) engine=InnoDB;

    create table sscAudProductReview (
        class varchar(255) not null,
        productReviewID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        productReviewID_MOD bit,
        productID integer,
        productID_MOD bit,
        status integer,
        status_MOD bit,
        firstName varchar(255),
        firstName_MOD bit,
        lastName varchar(255),
        lastName_MOD bit,
        nickname varchar(255),
        nickname_MOD bit,
        email varchar(255),
        email_MOD bit,
        age varchar(255),
        age_MOD bit,
        city varchar(255),
        city_MOD bit,
        state varchar(255),
        state_MOD bit,
        review text,
        review_MOD bit,
        rating integer,
        rating_MOD bit,
        created varchar(255),
        created_MOD bit,
        imagePath varchar(255),
        imagePath_MOD bit,
        ipAddress varchar(255),
        ipAddress_MOD bit,
        country varchar(255),
        country_MOD bit,
        customerID integer,
        customerID_MOD bit,
        product_MOD bit,
        customer_MOD bit,
        primary key (productReviewID, REV)
    ) engine=InnoDB;

    create table sscAudProductSetting (
        class varchar(255) not null,
        productSettingID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        productSettingID_MOD bit,
        productID integer,
        productID_MOD bit,
        code varchar(100),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        description varchar(255),
        description_MOD bit,
        type varchar(100),
        type_MOD bit,
        valueType varchar(16),
        valueType_MOD bit,
        integerValue integer,
        integerValue_MOD bit,
        smallValue varchar(64),
        smallValue_MOD bit,
        mediumValue varchar(255),
        mediumValue_MOD bit,
        textValue text,
        textValue_MOD bit,
        product_MOD bit,
        primary key (productSettingID, REV)
    ) engine=InnoDB;

    create table sscAudRelatedProduct (
        class varchar(255) not null,
        relatedProductID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        relatedProductID_MOD bit,
        parentProductID integer,
        parentProductID_MOD bit,
        productID integer,
        productID_MOD bit,
        relatedType varchar(32),
        relatedType_MOD bit,
        relatedProductOrder integer,
        relatedProductOrder_MOD bit,
        product_MOD bit,
        parentProduct_MOD bit,
        primary key (relatedProductID, REV)
    ) engine=InnoDB;

    create table sscAudRole (
        class varchar(255) not null,
        roleID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        roleID_MOD bit,
        code varchar(100),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        description varchar(255),
        description_MOD bit,
        administratorRoles_MOD bit,
        primary key (roleID, REV)
    ) engine=InnoDB;

    create table sscAudSKU (
        class varchar(255) not null,
        skuID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        skuID_MOD bit,
        productID integer,
        productID_MOD bit,
        attributeID1 integer,
        attributeID1_MOD bit,
        optionID1 integer,
        optionID1_MOD bit,
        attributeID2 integer,
        attributeID2_MOD bit,
        optionID2 integer,
        optionID2_MOD bit,
        attributeID3 integer,
        attributeID3_MOD bit,
        optionID3 integer,
        optionID3_MOD bit,
        attributeID4 integer,
        attributeID4_MOD bit,
        optionID4 integer,
        optionID4_MOD bit,
        attributeID5 integer,
        attributeID5_MOD bit,
        optionID5 integer,
        optionID5_MOD bit,
        skuNumber varchar(128),
        skuNumber_MOD bit,
        skuName varchar(255),
        skuName_MOD bit,
        skuMessage varchar(255),
        skuMessage_MOD bit,
        trackInventory bit,
        trackInventory_MOD bit,
        inventoryLevel integer,
        inventoryLevel_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        notes text,
        notes_MOD bit,
        product_MOD bit,
        skuDiscounts_MOD bit,
        skuShippingRules_MOD bit,
        primary key (skuID, REV)
    ) engine=InnoDB;

    create table sscAudSKUDiscount (
        class varchar(255) not null,
        skuDiscountID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        skuDiscountID_MOD bit,
        discountID integer,
        discountID_MOD bit,
        skuID integer,
        skuID_MOD bit,
        sku_MOD bit,
        discount_MOD bit,
        primary key (skuDiscountID, REV)
    ) engine=InnoDB;

    create table sscAudSKUShippingRule (
        class varchar(255) not null,
        skuShippingRuleID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        skuShippingRuleID_MOD bit,
        shippingRuleID integer,
        shippingRuleID_MOD bit,
        skuID integer,
        skuID_MOD bit,
        sku_MOD bit,
        shippingRule_MOD bit,
        primary key (skuShippingRuleID, REV)
    ) engine=InnoDB;

    create table sscAudSetting (
        class varchar(255) not null,
        settingID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        settingID_MOD bit,
        code varchar(100),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        description text,
        description_MOD bit,
        type varchar(100),
        type_MOD bit,
        valueType varchar(16),
        valueType_MOD bit,
        integerValue integer,
        integerValue_MOD bit,
        smallValue varchar(64),
        smallValue_MOD bit,
        mediumValue varchar(255),
        mediumValue_MOD bit,
        textValue text,
        textValue_MOD bit,
        primary key (settingID, REV)
    ) engine=InnoDB;

    create table sscAudShippingMethod (
        class varchar(255) not null,
        shippingMethodID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        shippingMethodID_MOD bit,
        code varchar(100),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        minimum double precision,
        minimum_MOD bit,
        base double precision,
        base_MOD bit,
        methodType varchar(255),
        methodType_MOD bit,
        isActive bit,
        isActive_MOD bit,
        numberDaysToShip integer,
        numberDaysToShip_MOD bit,
        methodOrder integer,
        methodOrder_MOD bit,
        shippingRates_MOD bit,
        primary key (shippingMethodID, REV)
    ) engine=InnoDB;

    create table sscAudShippingRate (
        class varchar(255) not null,
        shippingRateID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        shippingRateID_MOD bit,
        shippingMethodID integer,
        shippingMethodID_MOD bit,
        floor double precision,
        floor_MOD bit,
        ceiling double precision,
        ceiling_MOD bit,
        amount double precision,
        amount_MOD bit,
        isActive bit,
        isActive_MOD bit,
        shippingMethod_MOD bit,
        primary key (shippingRateID, REV)
    ) engine=InnoDB;

    create table sscAudShippingRule (
        class varchar(255) not null,
        shippingRuleID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        shippingRuleID_MOD bit,
        code varchar(100),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        description text,
        description_MOD bit,
        isActive bit,
        isActive_MOD bit,
        ruleType varchar(32),
        ruleType_MOD bit,
        ruleOrder integer,
        ruleOrder_MOD bit,
        extra1 varchar(255),
        extra1_MOD bit,
        extra2 varchar(255),
        extra2_MOD bit,
        extra3 varchar(255),
        extra3_MOD bit,
        skuShippingRules_MOD bit,
        shippingRuleRanges_MOD bit,
        primary key (shippingRuleID, REV)
    ) engine=InnoDB;

    create table sscAudShippingRuleRange (
        class varchar(255) not null,
        shippingRuleRangeID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        shippingRuleRangeID_MOD bit,
        shippingRuleID integer,
        shippingRuleID_MOD bit,
        floor double precision,
        floor_MOD bit,
        ceiling double precision,
        ceiling_MOD bit,
        isActive bit,
        isActive_MOD bit,
        discountType varchar(32),
        discountType_MOD bit,
        discount double precision,
        discount_MOD bit,
        pkgDescription text,
        pkgDescription_MOD bit,
        pkgWeight double precision,
        pkgWeight_MOD bit,
        pkgLength double precision,
        pkgLength_MOD bit,
        pkgHeight double precision,
        pkgHeight_MOD bit,
        pkgWidth double precision,
        pkgWidth_MOD bit,
        pkgExtra1 varchar(255),
        pkgExtra1_MOD bit,
        pkgExtra2 varchar(255),
        pkgExtra2_MOD bit,
        pkgExtra3 varchar(255),
        pkgExtra3_MOD bit,
        pkgExtra4 varchar(255),
        pkgExtra4_MOD bit,
        pkgExtra5 varchar(255),
        pkgExtra5_MOD bit,
        countries text,
        countries_MOD bit,
        states text,
        states_MOD bit,
        limitMethods text,
        limitMethods_MOD bit,
        limitType varchar(32),
        limitType_MOD bit,
        shippingRule_MOD bit,
        primary key (shippingRuleRangeID, REV)
    ) engine=InnoDB;

    create table sscAudState (
        class varchar(255) not null,
        stateID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        countryID integer,
        countryID_MOD bit,
        code varchar(255),
        code_MOD bit,
        name varchar(255),
        name_MOD bit,
        isActive bit,
        isActive_MOD bit,
        stateOrder integer,
        stateOrder_MOD bit,
        country_MOD bit,
        primary key (stateID, REV)
    ) engine=InnoDB;

    create table sscAudTemplate (
        class varchar(255) not null,
        templateID integer not null,
        REV integer not null,
        REVTYPE tinyint,
        REVEND integer,
        REVEND_TSTMP datetime,
        templateID_MOD bit,
        code varchar(255),
        code_MOD bit,
        type varchar(50),
        type_MOD bit,
        subject varchar(255),
        subject_MOD bit,
        description text,
        description_MOD bit,
        bodyHtml text,
        bodyHtml_MOD bit,
        bodyText text,
        bodyText_MOD bit,
        isActive bit,
        isActive_MOD bit,
        primary key (templateID, REV)
    ) engine=InnoDB;


    create table sscREVCHANGES (
        REV integer not null,
        ENTITYNAME varchar(255)
    ) engine=InnoDB;
    
    create table sscREVINFO (
        id integer not null auto_increment,
        timestamp bigint not null,
        requestLogID integer,
        primary key (id)
    ) engine=InnoDB;


    alter table sscAudAdministrator 
        add constraint FK_qf26w6mvb4er9nm9h0ijxcgk8 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudAdministrator 
        add constraint FK_pwk2s1m2u0ket5hi61tuvs8wt 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudAdministratorRole 
        add constraint FK_bjywkpiwe0ds6mvw07pp9o13v 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudAdministratorRole 
        add constraint FK_8ujh0mu478n5q7lxjmngt0cvh 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudAttribute 
        add constraint FK_7p3d0x0xkpp9fy75v219khggj 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudAttribute 
        add constraint FK_a3tppage8iqf35oh24bk27hjx 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudBasicTaxRate 
        add constraint FK_92k3gcqwk9xsr6ie9piyw3tht 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudBasicTaxRate 
        add constraint FK_6rk8e5k6cdmgw1xs46g9ui1pg 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudCategory 
        add constraint FK_cp00hopbhl571kd3t38mr7jgv 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudCategory 
        add constraint FK_r3auos8o8e3owqapelss5f0wd 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudCategorySetting 
        add constraint FK_k6rddj0rae0k7vas8vhuh80xn 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudCategorySetting 
        add constraint FK_o20uwtp32o98sk1c64hoo6296 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudCountry 
        add constraint FK_kn9nucbsqd0r8seb8ix7rjkqv 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudCountry 
        add constraint FK_s31jh9hqvxgh807w64ab6vnoa 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudCustomer 
        add constraint FK_3dxdd5kk3bp9xtmpue2ytj4ga 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudCustomer 
        add constraint FK_2g9xriyf4mjxd3py5krhmibnu 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudCustomerAddress 
        add constraint FK_7s5169bvlyiy1ame9rhcv9ram 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudCustomerAddress 
        add constraint FK_i8g57a4v7fqsnukouhf0c7thd 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudCustomerWishList 
        add constraint FK_lli05s9ia3u5bd2ymydit56cj 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudCustomerWishList 
        add constraint FK_rqnv0x34d04wjrgfe009l1m9p 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudCustomerWishListProduct 
        add constraint FK_fy1umwng57dpir3sg6nh7tc9y 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudCustomerWishListProduct 
        add constraint FK_38oaoeak26esuqlj02korc2r3 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudDiscount 
        add constraint FK_oj2gkq1ebxb8ixwd6wdx1ekg1 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudDiscount 
        add constraint FK_fhbwkq8jc2oxmd4xei6ceikrq 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudDiscountRange 
        add constraint FK_lw03jclr3nm73pcpjrf7urexp 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudDiscountRange 
        add constraint FK_n97bnj3mocqu9x1iasv0ye04q 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudManufacturer 
        add constraint FK_7qimp2s2ixho4egi1y1f5wiju 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudManufacturer 
        add constraint FK_j9kjgfk7iyy791n67vjge220y 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudOption 
        add constraint FK_sdwmoyeulmhrd0f92m7tqqphj 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudOption 
        add constraint FK_dvqonfmk5onhltepvaeqmh4yn 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudOrder 
        add constraint FK_38xgcfkfx9yiulniq0psfvcu6 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudOrder 
        add constraint FK_jq4sdguvsie9kuhvfps90g034 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudOrderDelivery 
        add constraint FK_50d54rbvvbpdgqu3y69k7r4kx 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudOrderDelivery 
        add constraint FK_eq52n35pehd9dyirnfi3okpcm 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudOrderDiscount 
        add constraint FK_os43lv28avscd4ir204hnxupv 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudOrderDiscount 
        add constraint FK_1uq6h9rb5895676csgbfnv5eg 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudOrderItem 
        add constraint FK_ch5se7s8tyeiuy67wb8e0as7h 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudOrderItem 
        add constraint FK_8g44pi8tlaaj4kxnuollkaaie 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudOrderItemAttribute 
        add constraint FK_t9wwdrcxaslc1fx485tk7is2f 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudOrderItemAttribute 
        add constraint FK_2d8ihggtac6vwlc1bdukpily1 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudOrderSetting 
        add constraint FK_qog310dyk8jvqniq48ggxmyxb 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudOrderSetting 
        add constraint FK_aijrvmr8rex999tqjcgj52pox 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudOrderShippingRule 
        add constraint FK_ro8wjf10elcm3fdj468jysty2 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudOrderShippingRule 
        add constraint FK_kigjjmyxff5ob6v9bns7l7m8h 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudPayment 
        add constraint FK_clyds030aulaqa707v9l00h7l 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudPayment 
        add constraint FK_q58gvo7ogg2st84geijpsxgmh 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudProduct 
        add constraint FK_heqv88anyvm8emmgknc4c0emf 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudProduct 
        add constraint FK_ohlmswk952bht39chj06ew9y0 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudProductAttribute 
        add constraint FK_ltukuhhhvxvkqgchb87d6m8bf 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudProductAttribute 
        add constraint FK_2si3hdvca2jmypihgpxjwj39k 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudProductCategory 
        add constraint FK_9q0adp1vi35u21l0bk8jw7l09 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudProductCategory 
        add constraint FK_ee67poeaex86l8nyhqrr00qh8 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudProductReview 
        add constraint FK_kl9v7ablv5c0l6bysg8hf1rm2 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudProductReview 
        add constraint FK_h98qcbjfna9xamunnrd1cg9tk 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudProductSetting 
        add constraint FK_gaqiskbmwdss26ufkuish94xs 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudProductSetting 
        add constraint FK_g32x3g2tn4gndqh3hk0gvl9t2 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudRelatedProduct 
        add constraint FK_8q8fc4qa3vn7slbgpt91aewu 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudRelatedProduct 
        add constraint FK_lhstusiy242628rp9afj7f4sn 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudRole 
        add constraint FK_30d6awakqgxd6r4lhd9xmq4kb 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudRole 
        add constraint FK_lwnbjcs28a677nxjsxw7wh5c6 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudSKU 
        add constraint FK_fnayydajola7wj9ayq0njacpj 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudSKU 
        add constraint FK_aluhuss3wobbo0qxxfcphnda 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudSKUDiscount 
        add constraint FK_e7563m96j2nvog47fohktdg2t 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudSKUDiscount 
        add constraint FK_6qv230bwcn3vlm9uepvs3aexa 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudSKUShippingRule 
        add constraint FK_90069u8571lstw91m0ubk7htd 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudSKUShippingRule 
        add constraint FK_m1keayw97quhlm3nbc9yqxjwp 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudSetting 
        add constraint FK_puhm6lkfifa8go9eu336v6uny 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudSetting 
        add constraint FK_s6djen7h3uh5g16bxev4pbi0h 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudShippingMethod 
        add constraint FK_pv9pbhv76pbdp82i5qlc533y4 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudShippingMethod 
        add constraint FK_pn52ey7oqk7ph4u4240789rlf 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudShippingRate 
        add constraint FK_s7epg3ajtsdkuetmu35m6d0tf 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudShippingRate 
        add constraint FK_io3fscusn1cdp4bkh0vx5iexg 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudShippingRule 
        add constraint FK_pdaing4rtjqtab72w7qh7ux62 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudShippingRule 
        add constraint FK_q94m8ppdxn84fu3wisdr0ye69 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudShippingRuleRange 
        add constraint FK_iaybvsgvpavp1w640x5c92gdr 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudShippingRuleRange 
        add constraint FK_cxee2pr146ajcyo7cqxe1sv71 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudState 
        add constraint FK_lygwef1ad5w6pj2hgocfalojj 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudState 
        add constraint FK_pxr87tr8iyvuc24ndlayy7lg1 
        foreign key (REVEND) 
        references sscREVINFO (id);

    alter table sscAudTemplate 
        add constraint FK_6dnidxbtpqt67j4lt9rjhumuc 
        foreign key (REV) 
        references sscREVINFO (id);

    alter table sscAudTemplate 
        add constraint FK_8jftgp4pwjbsfoi5fwo323ygh 
        foreign key (REVEND) 
        references sscREVINFO (id);


    alter table sscREVCHANGES 
        add constraint FK_fimwlx1yqgyvgrjh9bm8fmdq1 
        foreign key (REV) 
        references sscREVINFO (id);
