CREATE TABLE npcSKU (
  skuID INT IDENTITY NOT NULL,
  productID INT NOT NULL DEFAULT '0',
  attributeID1 INT DEFAULT NULL,
  optionID1 INT DEFAULT NULL,
  attributeID2 INT DEFAULT NULL,
  optionID2 INT DEFAULT NULL,
  attributeID3 INT DEFAULT NULL,
  optionID3 INT DEFAULT NULL,
  attributeID4 INT DEFAULT NULL,
  optionID4 INT DEFAULT NULL,
  attributeID5 INT DEFAULT NULL,
  optionID5 INT DEFAULT NULL,
  skuNumber VARCHAR(128) DEFAULT NULL,
  trackInventory BIT NOT NULL DEFAULT '1',
  inventoryLevel INT NOT NULL DEFAULT '0',
  notes VARCHAR(255) DEFAULT NULL,
  CONSTRAINT PK_skuID PRIMARY KEY CLUSTERED 
  ( skuID ) ON [PRIMARY],
  CONSTRAINT FK_product_sku FOREIGN KEY (
	productID
  ) REFERENCES npcProduct (
	productID
  ) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT AK_skuAll UNIQUE NONCLUSTERED 
  ( productID, attributeID1, optionID1, attributeID2, optionID2, 
  attributeID3, optionID3, attributeID4, optionID4, 
  attributeID5, optionID5 ) ON [PRIMARY]
);

