<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="java.util.Calendar,java.util.Date" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:set var="wishListPageSize" value="10"/>
<bean:size id="itemCount" name="customerWishListProducts"/>
<%
    // Get the number of days previous orders can be picked up
    String wishListPageSize = (String) pageContext.getAttribute("wishListPageSize");
	String startingItem = (String) request.getAttribute("startingItem");
%>
<c:if test="${empty customerWishListProducts or customerWishListProducts['empty']}">
	<p id="noProducts"><bean:message key="wishList.noProducts" bundle="/customer"/></p>
</c:if>
<c:if test="${!empty customerWishListProducts and !customerWishListProducts['empty']}">
	<table id="customerWishListProductTable" class="table table-striped">
		<tr class="listHeading">
			<th>&nbsp;</th>
			<th>&nbsp;</th>
			<th><bean:message key="product.code" bundle="/product"/></th>
			<th><bean:message key="product.name" bundle="/product"/></th>
		</tr>
		<logic:iterate name="customerWishListProducts" id="customerWishListProduct" indexId="index" offset="<%= startingItem %>" length="<%= wishListPageSize %>">
			<c:choose>
				<c:when test="${settings.map.useSEOCodeForProductURLs eq '1' and !empty customerWishListProduct.product.seoCode}">
					<c:set var="objectLinkCode" value="${customerWishListProduct.product.seoCode}"/>
				</c:when>
				<c:otherwise>
					<c:set var="objectLinkCode" value="${customerWishListProduct.product.code}"/>
				</c:otherwise>
			</c:choose>
			<tr id="customerWishListProduct-${customerWishListProduct.customerWishListProductID}" class="wishList">
				<%-- link to delete--%>
				<td class="customerWishListID ${thisClass}">
					<form name="customerWishListProductDeleteForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/WishListDeleteProduct.do")%>" method="post" title="<bean:message key="wishList.deleteProductButton" bundle="/customer"/>" onclick="return confirm('<bean:message key="wishList.confirmProductDelete" bundle="/customer"/>')">
						<input type="hidden" name="customerWishListID" value="${customerWishList.customerWishListID}"/>
						<input type="hidden" name="customerWishListProductID" value="${customerWishListProduct.customerWishListProductID}"/>
						<span id="deleteProductWishListButton" class="buttonWrap"><input type="submit" class="btn btn-primary" value="<bean:message key="wishList.deleteProductButton" bundle="/customer"/>" /></span>
					</form>
				</td>
				<%-- Image --%>
				<td class="image ${thisClass}">
					<c:if test="${!empty customerWishListProduct.product.smallImage}">
						<c:set var="imageURL" value="${customerWishListProduct.product.smallImage}"/>
						<% if (!request.isSecure() || !((String) pageContext.getAttribute("imageURL")).startsWith("http://")) { %>
							<ssc:link href="${customerURL}/Product.do?code=${objectLinkCode}">
								<img class="img-responsive" src="${imageURL}"<c:if test="${!empty customerWishListProduct.product.name}"> title="${customerWishListProduct.product.name}" alt="Image for product ${customerWishListProduct.product.code}"</c:if>/>
							</ssc:link>
						<% } %>
					</c:if>
				</td>
				<%-- Code --%>
				<td class="code ${thisClass}">
					<c:if test="${!empty customerWishListProduct.product.code}">
						${customerWishListProduct.product.code}
					</c:if>
				</td>
				<%-- Name --%>
				<td class="name ${thisClass}">
					<c:if test="${!empty customerWishListProduct.product.name}">
						<ssc:link href="${customerURL}/Product.do?code=${objectLinkCode}">
							${customerWishListProduct.product.name}
						</ssc:link>
					</c:if>
				</td>
			</tr>
		</logic:iterate>
	</table>
	<%-- Pagination --%>
	<c:if test="${itemCount > wishListPageSize}">
		<ul id="wishListPagination"  class="pager">
			<c:set var="firstRowOfPreviousPage" value="${startingItem - wishListPageSize}"/>
			<c:set var="firstRowOfNextPage" value="${startingItem + wishListPageSize}"/>
			<c:choose>
				<c:when test="${firstRowOfPreviousPage == 0}">
					<li><ssc:link href="${secureURL}/${pagingLink}?customerWishListID=${customerWishList.customerWishListID}"><bean:message key="productList.pagePrevious" bundle="/product"/></ssc:link></li>
				</c:when>
				<c:when test="${firstRowOfPreviousPage > 0}">
					<li><ssc:link href="${secureURL}/${pagingLink}?customerWishListID=${customerWishList.customerWishListID}&startingItem=${firstRowOfPreviousPage}"><bean:message key="productList.pagePrevious" bundle="/product"/></ssc:link></li>
				</c:when>
			</c:choose>
			<c:if test="${firstRowOfNextPage < itemCount}">
				<li><ssc:link href="${secureURL}/${pagingLink}?customerWishListID=${customerWishList.customerWishListID}&startingItem=${firstRowOfNextPage}"><bean:message key="productList.pageNext" bundle="/product"/></ssc:link></li>
			</c:if>
		</ul>
	</c:if>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
