<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%--Cart is empty message--%>
<div class="col-xs-12">
	<div class="page-header">
		<h1 class="pageTitle"><bean:message key="cart.headline" bundle="/order"/></h1>
	</div>
</div>
<c:if var="cartEmpty" test="${empty user.order or empty user.order.quantity or user.order.quantity eq 0}">
	<div class="cartMain col-xs-12">
		<div class="alert alert-warning">
			<span class="glyphicon glyphicon-warning-sign"></span>
			<bean:message key="cart.empty" bundle="/order"/>.&nbsp;
			<a class="btn btn-default" href="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/Welcome.do")%>">
				<bean:message key="cart.continueShoppingButton" bundle="/order"/>
			</a>
		</div>
	</div>
</c:if>
<c:if test="${not cartEmpty}">
	<div class="cartMain col-xs-12 col-md-8">
		<c:set var="order" value="${user.order}"/>
		
			<%--Cart Items--%>
			<logic:iterate name="order" property="orderDeliveryCollection" id="orderDelivery" indexId="i">
				<logic:iterate name="orderDelivery" property="orderItemCollection" id="item" indexId="j">
					<c:set var="productLinkCode" value="${item.code}"/>
					<c:if test="${settings.map.useSEOCodeForProductURLs eq '1' and !empty item.seoCode}">
						<c:set var="productLinkCode" value="${item.seoCode}"/>
					</c:if>
					<div id="cartItem-${item.orderItemID}" class="cartItem row">
					
						<div class="cartItemImageAndDetails col-xs-12 col-sm-8">
								
							<div class="cartItemImage col-xs-12 col-sm-3">
							
								<%--Image--%>
								<c:if test="${!empty item.image}">
									<ssc:link href="${customerURL}/Product.do" paramId="code" paramName="productLinkCode" styleClass="cartItemImageLink">
										<img class="img-responsive" src="${item.image}" title="${item.name}"/>
									</ssc:link>
								</c:if>
							</div>
							<div class="cartItemDetailsAndAttributes col-xs-12 col-sm-9">
								
								<div class="cartItemDetails col-xs-12">
		
									<%--Name linked to product detail page--%>
									<ssc:link href="${customerURL}/Product.do" paramId="code" paramName="productLinkCode">
										<h4><c:out value="${item.name}" escapeXml="false"/></h4>
									</ssc:link>
		
									<%--Code--%>
									<p><bean:message key="cart.codeLabel" bundle="/order"/>: ${item.code}</p>
								</div>
							
								<%--Item attributes and their values--%>
								<c:if test="${!empty item.orderItemAttributes and !item.orderItemAttributes['empty']}">
		
									<%--Edit cart item link.--%>
									<form class="cartEdit cartItemEditForm col-xs-3" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartItemEditForm.do")%>" method="post">
										<input type="hidden" name="orderItemID" value="${item.orderItemID}"/>
										<span class="editCartItemButton buttonWrap">
											<button type="submit" name="submit" class="btn btn-default btn-xs">
												<bean:message key="cart.editCartItem" bundle="/order"/>
											</button>
										</span>
									</form>
									
									<ul class="cartItemAttributes col-xs-9">
										<logic:iterate name="item" property="orderItemAttributes" id="attribute" indexId="k">
											<li>
												${attribute.attributeName}:
												<c:choose>
													<c:when test="${!empty attribute.optionName and attribute.optionCode eq attribute.attributeValue}">
														<c:out value="${attribute.optionName}" escapeXml="false"/>
													</c:when>
													<c:otherwise>
														${fn:escapeXml(attribute.attributeValue)}
													</c:otherwise>
												</c:choose>
											</li>
										</logic:iterate>
									</ul>
								</c:if>
							</div>
						</div>
						
						<%--Quantity--%>
						<div class="cartQuantity col-xs-9 col-sm-3">
							<form name="cartUpdateForm-${item.orderItemID}" class="cartUpdateForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartItemEdit.do")%>" method="get">
								<input type="hidden" name="orderItemID" value="<bean:write name="item" property="orderItemID"/>"/>
								<input type="hidden" name="orderProductCodes" value="<bean:write name="item" property="code"/>"/>
								<c:if test="${!empty item.orderItemAttributes and !item.orderItemAttributes['empty']}">
									<logic:iterate name="item" property="orderItemAttributes" id="attribute" indexId="k">
										<input type="hidden" name="${item.code}|${attribute.attributeCode}" value="${attribute.attributeValue}"/>
									</logic:iterate>
								</c:if>
								<input type="number" name="orderProductQuantities" id="cartQuantity-${item.orderItemID}" value="${item.quantity}" class="quantity form-control input-sm"/>
								<input type="submit" class="cartUpdateLink btn btn-default btn-xs" value="<bean:message key="cart.update" bundle="/order"/>"/>
								<input type="submit" class="cartUpdateLink btn btn-link btn-xs" value="<bean:message key="cart.removeCartItem" bundle="/order"/>" onclick="document.getElementById('cartQuantity-${item.orderItemID}').value=0;"/>
							</form>
							
						</div>
						
						<%--Item total--%>
						<div class="cartItemTotal col-xs-3 col-sm-1">
							<h4><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${item.total}"/></h4>
						</div>
					</div>
					<hr/>
				</logic:iterate>
			</logic:iterate>
			
			<%--Discounts--%>
			<c:if var="displayDiscounts" test="false"/>
			<c:if test="${!empty order.orderDiscounts and !order.orderDiscounts['empty']}">
				<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
					<c:if test="${!displayDiscounts and orderDiscount.itemsAppliesType ne '[giftCertificate]' and orderDiscount.itemsAppliesType ne '[shipping]'}">
						<c:if var="displayDiscounts" test="true"/>
					</c:if>
				</logic:iterate>
			</c:if>
			<c:if test="${displayDiscounts}">
				<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
					<c:if test="${orderDiscount.itemsAppliesType ne '[giftCertificate]' and orderDiscount.itemsAppliesType ne '[shipping]'}">
						<div id="orderDiscount-${orderDiscount.orderDiscountID}" class="orderDiscount row">

							<%--Discount label--%>
							<div class="discounts col-xs-12">
								<c:if test="${i eq 0}"><h4><bean:message key="cart.discountsLabel" bundle="/order"/>:</h4></c:if>
							</div>
							
							<%--Discount name--%>
							<div class="cartItemDiscountDetails col-xs-9">
								${orderDiscount.name}&nbsp;
								<c:if test="${!empty orderDiscount.couponCode}">
									(${orderDiscount.couponCode})
								</c:if>
								<c:if test="${!empty orderDiscount.orderItem}">
									 - ${orderDiscount.orderItem.name}
								</c:if>
							</div>

							<%--Discount total--%>
							<div class="discountTotal col-xs-3">
								<h4>(<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
									${orderDiscount.total}
								</fmt:formatNumber>)</h4>
							</div>
						</div>
					</c:if>
				</logic:iterate>
			</c:if>
		</table>
		<div id="cartButtons">

			<%--Continue shopping button--%>
			<form id="continueShoppingForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/Welcome.do")%>">
				<span id="continueShoppingButton" class="buttonWrap"><input type="submit" name="submit" class="btn btn-default btn-sm" value="<bean:message key="cart.continueShoppingButton" bundle="/order"/>"/></span>
			</form>

			<%--Clear this cart button--%>
			<form id="clearCartForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartClear.do")%>">
				<span id="clearCartButton" class="buttonWrap"><input type="submit" name="submit" class="btn btn-default btn-sm" value="<bean:message key="cart.clearCartButton" bundle="/order"/>"/></span>
			</form>

			<%--Save this cart button--%>
			<c:if test="${applicationScope.settings.map.allowSavedCarts eq 1}">
				<form id="saveCartForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/SaveCart.do")%>">
					<span id="saveCartButton" class="buttonWrap"><input type="submit" name="submit" class="btn btn-default btn-sm" value="<bean:message key="cart.saveCartButton" bundle="/order"/>"/></span>
				</form>
			</c:if>
		</div>
	</div>
	<div class="cartPanels col-xs-12 col-md-4">
		<div class="cartOps panel panel-default">
  			<div class="panel-body">

				<%--Cart subtotal--%>
				<%--Display estimated shipping + subtotal, or just the subtotal--%>
				<c:choose>
					<c:when test="${settings.map.displayEstimatedShippingOnCartPage eq '1' and !empty order.estimatedShippingOptions}">
	
						<%--Find the cheapest option for estimated shipping.--%>
						<logic:iterate name="order" property="estimatedShippingOptions" id="option">
							<c:if test="${empty cheapestOption or option.priceDouble < cheapestOption.priceDouble}">
								<c:set var="cheapestOption" value="${option}"/>
							</c:if>
						</logic:iterate>
						<c:set var="estimatedSubtotal" value="${order.subtotal}"/>
						<h3>
							<bean:message key="cart.subtotalLabel" bundle="/order"/>:
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
								<bean:write name="estimatedSubtotal"/>
							</fmt:formatNumber>
						</h3>	
						<c:set var="estimatedSubtotal" value="${estimatedSubtotal + cheapestOption.priceDouble}"/>
						<p>
							<bean:message key="cart.estimatedShippingLabel" bundle="/order"/> (<c:out value="${cheapestOption.name}" escapeXml="false"/>):
							${cheapestOption.price}
						</p>	
					</c:when>
					<c:otherwise>
						<h3>
							<bean:message key="cart.subtotalLabel" bundle="/order"/>:
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
								${order.subtotal}
							</fmt:formatNumber>
						</h3>
					</c:otherwise>
				</c:choose>
	
				<%--Estimated shipping form--%>
				<c:if test="${not cartEmpty and settings.map.displayEstimatedShippingOnCartPage eq '1' and settings.map.estimatedShippingPromptOnCartPage eq '1' and !empty estimatedShippingForm}">
					<form id="estimatedShipping" method="post" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/EstimatedShipping.do")%>">
						<ssc:insert page="/WEB-INF/layouts/default/order/estimatedShippingFormGuts.jsp"/>
					</form>
				</c:if>
	
				<%--Checout button--%>
				<form id="checkoutForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/Checkout.do")%>">
					<span id="checkoutButton" class="buttonWrap">
						<button type="submit" name="submit" class="btn btn-primary btn-block">
							<span class="glyphicon glyphicon-shopping-cart"></span>
							<bean:message key="cart.checkoutButton" bundle="/order"/>
						</button>
					</span>
				</form>
				
				<%--Third party checkout buttons--%>
				<%
					java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
					String activePaymentFormTemplates = appComponents.getProperty("activePaymentFormTemplates");
					pageContext.setAttribute("activePaymentFormTemplates", activePaymentFormTemplates);
				%>

				<%--PayPal Express checkout button--%>
				<logic:match name="activePaymentFormTemplates" value="paypalExpressForm.jsp">
					<a id="paypalExpressLink" href="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/PayPalExpressSet.do")%>"><img class="img-responsive" src="https://www.paypal.com/en_US/i/btn/btn_xpressCheckoutsm.gif" alt="Checkout with PayPal" border="0" /></a>
				</logic:match>
			</div>
		</div>

		<%--Coupon form--%>
		<c:if test="${not cartEmpty && settings.map.applyDiscounts eq 1 && settings.map.showCouponFormOnCartScreen eq 1}">
			<form id="couponForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartCoupon.do")%>" method="post">
				<ssc:insert page="/WEB-INF/layouts/default-html5/order/couponFormGuts.jsp"/>
			</form>
		</c:if>
	</div>
	<div class="col-xs-12 flush">

		<%--Related products to those that were just added--%>
		<c:if test="${settings.map.upsellRelatedProductsOnCartPage eq 1 and !empty requestScope.productsAdded}">
			<% java.util.ArrayList relatedProducts = new java.util.ArrayList(); %>
			<logic:iterate id="productAdded" name="productsAdded">
				<logic:iterate id="related" name="productAdded" property="relatedProducts">
					<c:set var="relatedProduct" value="${related.product}"/>
					<c:if test="${relatedProduct.isActive}">
						<c:if var="alreadyInCart" test="${false}"/>
						<logic:iterate name="order" property="orderDeliveryCollection" id="orderDelivery" indexId="i">
							<logic:iterate name="orderDelivery" property="orderItemCollection" id="item" indexId="j">
								<c:if test="${relatedProduct.code eq item.code}">
									<c:if var="alreadyInCart" test="${true}"/>
								</c:if>
							</logic:iterate>
						</logic:iterate>
						<c:if test="${!alreadyInCart}">
							<%
								if (!relatedProducts.contains(pageContext.getAttribute("relatedProduct"))) {
									relatedProducts.add(pageContext.getAttribute("relatedProduct"));
								}
							%>
						</c:if>
					</c:if>
				</logic:iterate>
			</logic:iterate>
			<% pageContext.setAttribute("relatedProducts", relatedProducts); %>
			<c:if test="${!empty relatedProducts}">
				<c:set var="productListCollection" value="${relatedProducts}" scope="request"/>
				<br/>
				<h3><bean:message key="cart.relatedProducts" bundle="/order"/>:</h3>
				<ssc:insert page="/WEB-INF/layouts/default-html5/product/productList.jsp"/>
			</c:if>
		</c:if>

	</div>

</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
