<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<logic:iterate name="product" property="productAttributes" id="pa">
	<c:set var="attribute" value="${pa.attribute}" scope="request"/>
	<c:set var="productCode" value="${product.code}" scope="request"/>
	<c:set var="productName" value="${product.name}" scope="request"/>
	<c:if test="${attribute.attributeIsActive and (!requestScope.displayMatrix or
			(attribute.attributeType ne 'expanded' and attribute.attributeType ne 'compact'))}">
	<%-- Determine if this attribute's inventory is being tracked. --%>
	<c:if var="trackAttribute" test="false"/>
	<c:if test="${trackInventory}">
		<c:set var="attrSkuKey" value="${product.productID}|${attribute.attributeID}|0|" scope="request"/>
		<c:if var="trackAttribute" scope="request" test="${!empty product.skuMap[attrSkuKey] and product.skuMap[attrSkuKey].trackInventory}">
			<c:set var="attrSku" scope="request" value="${product.skuMap[attrSkuKey]}"/>
		</c:if>
		<c:if test="${!trackAttribute}">
			<c:set var="attrSkuKey" value="${attribute.attributeID}|0|" scope="request"/>
			<c:if var="trackAttribute" scope="request" test="${!empty attributeSKUs[attrSkuKey] and attributeSKUs[attrSkuKey].trackInventory}">
				<c:set var="attrSku" scope="request" value="${attributeSKUs[attrSkuKey]}"/>
			</c:if>
		</c:if>
	</c:if>
	<%-- Determine default/selected value of each attribute --%>
	<c:set var="parameterName" value="${productCode}|${attribute.attributeCode}" scope="request"/>
	<c:set var="cssIDName" value="${productCode}-${attribute.attributeCode}" scope="request"/>
	<c:set var="parameterValue" value="" scope="request"/>
	<% if (request.getParameter((String) request.getAttribute("parameterName")) != null && request.getParameter((String) request.getAttribute("parameterName")).length() > 0) {
		request.setAttribute("parameterValue", request.getParameter((String) request.getAttribute("parameterName")));
	} %>
	<logic:present name="itemAttributeCollection">
		<logic:iterate name="itemAttributeCollection" id="itemAttribute">
			<c:if test="${itemAttribute.attributeCode eq pa.attribute.attributeCode}">
				<c:set var="parameterValue" value="${itemAttribute.attributeValue}" scope="request"/>
			</c:if>
		</logic:iterate>
	</logic:present>
	<%-- Required attributes param to help with validation --%>
	<c:if test="${attribute.attributeIsRequired}">
		<input type="hidden" name="requiredAttributeCodes" value="${productCode}|${attribute.attributeCode}" />
		<input type="hidden" name="requiredAttributeNames" value="${attribute.attributeName}" />
		<input type="hidden" name="productNames" value="${productName}" />
	</c:if>
	<%-- Dynamic insert of the attribute template based on attributeType --%>
	<c:choose>
		<c:when test="${!empty forceCompact and forceCompact eq true and attribute.attributeType eq 'expanded'}">
			<ssc:insert page="/WEB-INF/layouts/default-html5/product/attribute-compact.jsp" flush="false"/>
		</c:when>
		<c:when test="${!empty forceCompact and forceCompact eq true and attribute.attributeType eq 'expandedInput'}">
			<ssc:insert page="/WEB-INF/layouts/default-html5/product/attribute-compactInput.jsp" flush="false"/>
		</c:when>
		<c:otherwise>
			<ssc:insert page="/WEB-INF/layouts/default-html5/product/attribute-${attribute.attributeType}.jsp" flush="false"/>
		</c:otherwise>
	</c:choose>
	</c:if>
</logic:iterate>
<!-- End ${pageScope.sscCurrentPage} -->
