<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<ssc:useAttribute name="object"/>
<ssc:useAttribute name="index"/>
<ssc:useAttribute name="maxNumberOfColumns"/>
<ssc:useAttribute name="relatedProductList" ignore="true"/>
<c:set var="displayAddToCart" value="${settings.map.displayAddToCartOnListPages}"/>
<c:if test="${empty categoryParam}">
	<c:set var="categoryParam" value=""/>
</c:if>
<c:choose>
	<c:when test="${empty advancedSearch or advancedSearch ne 'true' or objectTypes[index] == 1}">
		<c:set var="objectType" value="Product"/>
	</c:when>
	<c:when test="${objectTypes[index] == 2}">
		<c:set var="objectType" value="Category"/>
	</c:when>
	<c:when test="${objectTypes[index] == 3}">
		<c:set var="objectType" value="Manufacturer"/>
	</c:when>
</c:choose>
<c:if test="${!empty relatedProductList and relatedProductList eq 'true'}">
	<c:set var="object" value="${object.product}"/>
</c:if>
<c:set var="objectLinkCode" value="${object.code}"/>
<c:if test="${objectType eq 'Product' and settings.map.useSEOCodeForProductURLs eq '1' and !empty object.seoCode}">
	<c:set var="objectLinkCode" value="${object.seoCode}"/>
</c:if>
<c:set var="lgNumberOfColumns" value="4"/>
<c:set var="mdNumberOfColumns" value="3"/>
<c:set var="smNumberOfColumns" value="2"/>
<c:choose>
	<c:when test="${maxNumberOfColumns == 12}">
		<c:set var="lgNumberOfColumns" value="12"/>
		<c:set var="mdNumberOfColumns" value="6"/>
		<c:set var="smNumberOfColumns" value="3"/>
	</c:when>
	<c:when test="${maxNumberOfColumns == 6}">
		<c:set var="lgNumberOfColumns" value="6"/>
		<c:set var="mdNumberOfColumns" value="4"/>
		<c:set var="smNumberOfColumns" value="2"/>
	</c:when>
	<c:when test="${maxNumberOfColumns == 3}">
		<c:set var="lgNumberOfColumns" value="3"/>
		<c:set var="mdNumberOfColumns" value="3"/>
		<c:set var="smNumberOfColumns" value="2"/>
	</c:when>
	<c:when test="${maxNumberOfColumns == 2}">
		<c:set var="lgNumberOfColumns" value="2"/>
		<c:set var="mdNumberOfColumns" value="2"/>
		<c:set var="smNumberOfColumns" value="1"/>
	</c:when>
	<c:when test="${maxNumberOfColumns == 1}">
		<c:set var="lgNumberOfColumns" value="1"/>
		<c:set var="mdNumberOfColumns" value="1"/>
		<c:set var="smNumberOfColumns" value="1"/>
	</c:when>
</c:choose>

<c:set var="lgBootstrapGridColumns"><fmt:formatNumber value="${12/lgNumberOfColumns}" maxFractionDigits="0"/></c:set>
<c:set var="mdBootstrapGridColumns"><fmt:formatNumber value="${12/mdNumberOfColumns}" maxFractionDigits="0"/></c:set>
<c:set var="smBootstrapGridColumns"><fmt:formatNumber value="${12/smNumberOfColumns}" maxFractionDigits="0"/></c:set>
<c:if test="${object.isActive}">
	<c:if test="${objectType eq 'Product'}">
		<c:set var="product" value="${object}" scope="request"/>
		<ssc:insert page="/WEB-INF/layouts/default-html5/product/inventoryDiscountSettings.jsp" flush="false"/>
	</c:if>
	<c:choose>
		<c:when test="${index eq 0}">
			<div class="clearfix"></div>
		</c:when>
		<c:otherwise>
			<c:if test="${index > 0 and index % lgNumberOfColumns eq 0}">
				<div class="clearfix visible-lg"></div>
			</c:if>
			<c:if test="${index > 0 and index % mdNumberOfColumns eq 0}">
				<div class="clearfix visible-md"></div>
			</c:if>
			<c:if test="${index > 0 and index % smNumberOfColumns eq 0}">
				<div class="clearfix visible-sm"></div>
			</c:if>
		</c:otherwise>
	</c:choose>
	<div id="productList-${object.code}" class="product col-lg-${lgBootstrapGridColumns} col-md-${mdBootstrapGridColumns} col-sm-${smBootstrapGridColumns}">
		<div class="thumbnail">
			<ssc:link href="${customerURL}/${objectType}.do?code=${objectLinkCode}${categoryParam}" styleClass="productLink">
				<%-- Object image --%>
				<c:if test="${!empty object.smallImage}">
					<div class="image">
						<img class="img-responsive" src="${object.smallImage}"<c:if test="${!empty object.name}"> title="${object.name}" alt="Image for product ${object.code}"</c:if>/>
					</div>
				</c:if>
				<%-- Object name --%>
				<c:if test="${!empty object.name}">
					<div class="name">
						<h5><c:out value="${object.name}" escapeXml="false"/></h5>
					</div>
				</c:if>
				<c:if test="${objectType eq 'Manufacturer'}">
					<p class="objectType">
						(<bean:message key="advancedSearch.manufacturer" bundle="/product"/>)
					</p>
				</c:if>
				<c:if test="${objectType eq 'Category'}">
					<p class="objectType">
						(<bean:message key="advancedSearch.category" bundle="/product"/>)
					</p>
				</c:if>
				<%-- Highlighted excerpt --%>
				<c:if test="${!empty objectExcerpts and !empty objectExcerpts[index]}">
					<p class="excerpt">
						<c:out value="${objectExcerpts[index]}" escapeXml="false"/>
					</p>
				</c:if>
				<c:if test="${objectType eq 'Product'}">
					<%-- Product price --%>
					<c:if test="${!empty product.unitPrice and product.unitPrice gt  0}">
						<div class="price">
							<bean:message key="productList.priceLabel" bundle="/product"/>:
							<c:choose>
								<c:when test="${displayProductDiscount and settings.map.strikeThruPrices eq 1}">
									<del><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/></del>
									&nbsp;
									<span class="productSalePrice">
										<c:choose>
											<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
												<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
												<bean:message key="product.discountItemsForFree" bundle="/product"/>
											</c:when>
											<c:otherwise>
												<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice - productDiscountAmount}"/>
											</c:otherwise>
										</c:choose>
									</span>
								</c:when>
								<c:otherwise>
									<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/>
								</c:otherwise>
							</c:choose>
						</div>
					</c:if>
					<%-- Product discount --%>
					<c:if test="${displayProductDiscount}">
						<p class="discount">
							<strong><bean:message key="product.discountCompact" bundle="/product"/>:</strong>
							<c:choose>
								<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
									<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
									<bean:message key="product.discountItemsForFree" bundle="/product"/>
								</c:when>
								<c:otherwise>
									<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${productDiscountAmount}"/>
									<bean:message key="product.discountAmountOff" bundle="/product"/>
								</c:otherwise>
							</c:choose>
						</p>
					</c:if>
					<%-- Product inventory --%>
					<c:if test="${trackProduct}">
						<p class="inventory">
							<strong><bean:message key="product.inventoryLevelCompact" bundle="/product"/>:</strong>
							${product.skuMap[prodSkuKey].inventoryLevel}
						</p>
					</c:if>
				</c:if>
			</ssc:link>
			<%-- Product add to cart and view details link --%>
			<c:if test="${objectType eq 'Product'}">
				<div class="viewDetails ani200">
					<c:if test="${!denyPurchase and displayAddToCart eq '1'}">
						<ssc:link href="${customerURL}/CartAdd.do?orderProductCodes=${product.code}&amp;orderProductQuantities=1" styleClass="productListAddToCart btn btn-primary btn-sm">
							<bean:message key="product.add" bundle="/product"/>&nbsp;
							<span class="glyphicon glyphicon-shopping-cart"></span>
						</ssc:link>
					</c:if>
					<ssc:link href="${customerURL}/${objectType}.do?code=${objectLinkCode}${categoryParam}" styleClass="productListDetails btn btn-default btn-sm">
						<bean:message key="productList.details" bundle="/product"/>&nbsp;
						<span class="glyphicon glyphicon-circle-arrow-right"></span>
					</ssc:link>
				</div>
			</c:if>
		</div>
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
