package com.softslate.commerce.administrator.administrator;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/AdministratorAddForm.do",
 * "/administrator/AdministratorEditForm.do",
 * "/administrator/AdministratorAdd.do", and
 * "/administrator/AdministratorEdit.do". Provides properties corresponding to
 * the fields for a single administrator record.
 * 
 * @author David Tobey
 * 
 */
public class AdministratorAddEditForm extends BaseAdministratorForm {
	private static final long serialVersionUID = 3258413911132026933L;

	static Log log = LogFactory.getLog(AdministratorAddEditForm.class);

	private String administratorID = null;

	private String userName = null;

	private String decryptedPassword = null;

	private String password = null;

	private String lastLogin = null;

	private String isActive = "true";

	public String getIsActive() {
		return isActive;
	}

	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}

	public String getLastLogin() {
		return lastLogin;
	}

	public void setLastLogin(String lastLogin) {
		this.lastLogin = lastLogin;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getAdministratorID() {
		return administratorID;
	}

	public void setAdministratorID(String administratorID) {
		this.administratorID = administratorID;
	}

	public String getDecryptedPassword() {
		return decryptedPassword;
	}

	public void setDecryptedPassword(String decryptedPassword) {
		this.decryptedPassword = decryptedPassword;
	}

	private boolean isApiUser = false;

	public boolean getIsApiUser() {
		return isApiUser;
	}

	public void setIsApiUser(boolean isApiUser) {
		this.isApiUser = isApiUser;
	}

	private String passwordExpires = null;

	public String getPasswordExpires() {
		return passwordExpires;
	}

	public void setPasswordExpires(String passwordExpires) {
		this.passwordExpires = passwordExpires;
	}

	private int numberOfFailedLogins = 0;

	public int getNumberOfFailedLogins() {
		return numberOfFailedLogins;
	}

	public void setNumberOfFailedLogins(int numberOfFailedLogins) {
		this.numberOfFailedLogins = numberOfFailedLogins;
	}
	private String lockedOutUntil = null;

	public String getLockedOutUntil() {
		return lockedOutUntil;
	}

	public void setLockedOutUntil(String lockedOutUntil) {
		this.lockedOutUntil = lockedOutUntil;
	}

	private String previousPasswords = null;

	public String getPreviousPasswords() {
		return previousPasswords;
	}

	public void setPreviousPasswords(String previousPasswords) {
		this.previousPasswords = previousPasswords;
	}

	private String allowedIPAddresses = null;

	public String getAllowedIPAddresses() {
		return allowedIPAddresses;
	}

	public void setAllowedIPAddresses(String allowedIPAddresses) {
		this.allowedIPAddresses = allowedIPAddresses;
	}
	
	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getUserName() == null || getUserName().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "User Name"));
		}
		if (getIsActive() == null || getIsActive().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Active"));
		}
		if (getDecryptedPassword() == null
				|| getDecryptedPassword().equals("")
				&& !getSettings().getValue("administratorEncryptionType")
						.equals("oneWay")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Password"));
		}
		return getErrors();
	}
}
