package com.softslate.commerce.administrator.core;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.core.Settings;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.daos.core.DAOFactory;

/**
 * 
 * @author David Tobey
 */
public class SettingsIndexAction extends BaseAction {

	static Log log = LogFactory.getLog(SettingsIndexAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		// Refresh the settings in the application
		BusinessObjectFactory bof = (BusinessObjectFactory) request
				.getAttribute("businessObjectFactory");
		Settings settings =  bof.createObject(Settings.class);
		synchronized (getServlet().getServletContext()) {
			settings.initialize();
			servlet.getServletContext().setAttribute("settingsBean", settings);
			servlet.getServletContext().setAttribute("settings", settings);
			bof.setSettings(settings);
			request.setAttribute("settings", settings);
			// Place the new Settings in the application scope.
			DAOFactory daoFactory = (DAOFactory) getServlet()
					.getServletContext().getAttribute("daoFactory");
			daoFactory.setSettings(settings);
		}

		bof = (BusinessObjectFactory) request
				.getAttribute("businessObjectFactory");
		Settings settingsBean =  bof
				.createObject(Settings.class);
		request.setAttribute("administratorSettings", settingsBean
				.loadSettings());

		// Create breadcrumbing collection
		Collection bcs = Arrays
				.asList(new String[] { "Home", "Settings Index" });
		request.setAttribute("breadcrumbs", bcs);

		return mapping.findForward("success");
	}
}
