package com.softslate.commerce.administrator.email;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.email.EmailOptOut;

/**
 * Struts form class corresponding to requests to "/administrator/EmailOptOut.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscEmailOptOut</code> table.
 */
public class EmailOptOutForm extends BaseSerializableForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8774553842579388901L;

	static Log log = LogFactory.getLog(EmailOptOutForm.class);

    private String idField = "emailOptOutID";

    private String entityProperty = "emailOptOut";

    private Class entity = EmailOptOut.class;

    private String[] searchableIntFields = { "emailOptOutID" };

    private String nameField = "name";

	private String[] searchableFields = { "emailAddress", "createdTime", "type" };

    private String[] fields = { "emailOptOutID" , "emailAddress", "createdTime", "type" };

    private String[] fieldLables = { "Email Opt Out ID" , "Email Address", "Created Time", "Type" };

    private String[] displayFields = { "emailOptOutID" , "emailAddress", "createdTime", "type" };

	private String sortByString = "emailOptOutID";

	private String sortAscOrDesc = "ASC";

    private String formAction = "/EmailOptOut.do";

    private String addFormAction = "/EmailOptOutAddForm.do";

    private String editFormAction = "/EmailOptOutEditForm.do";

    private String editDeleteFormAction = "/EmailOptOutEditDelete.do";

    public String getIdField() {
        return idField;
    }

    public void setIdField(String idField) {
        this.idField = idField;
    }

    public String[] getFields() {
        return fields;
    }

    public void setFields(String[] fields) {
        this.fields = fields;
    }

    public String[] getFieldLables() {
        return fieldLables;
    }

    public void setFieldLables(String[] fieldLables) {
        this.fieldLables = fieldLables;
    }

    public String[] getDisplayFields() {
        return displayFields;
    }

    public void setDisplayFields(String[] displayFields) {
        this.displayFields = displayFields;
    }

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getSortAscOrDesc() {
		return sortAscOrDesc;
	}

	public void setSortAscOrDesc(String sortAscOrDesc) {
		this.sortAscOrDesc = sortAscOrDesc;
	}

    public String getFormAction() {
        return formAction;
    }

    public void setFormAction(String formAction) {
        this.formAction = formAction;
    }

    public String getAddFormAction() {
        return addFormAction;
    }

    public void setAddFormAction(String addFormAction) {
        this.addFormAction = addFormAction;
    }

    public String getEditFormAction() {
        return editFormAction;
    }

    public void setEditFormAction(String editFormAction) {
        this.editFormAction = editFormAction;
    }

    public String getEditDeleteFormAction() {
        return editDeleteFormAction;
    }

    public void setEditDeleteFormAction(String editDeleteFormAction) {
        this.editDeleteFormAction = editDeleteFormAction;
    }
    
    public Class getEntity() {
        return entity;
    }

    public void setEntity(Class entity) {
        this.entity = entity;
    }

    public String getEntityProperty() {
        return entityProperty;
    }

    public void setEntityProperty(String entityProperty) {
        this.entityProperty = entityProperty;
    }

    public String getNameField() {
        return nameField;
    }

    public void setNameField(String nameField) {
        this.nameField = nameField;
    }

    public String[] getSearchableFields() {
        return searchableFields;
    }

    public void setSearchableFields(String[] searchableFields) {
        this.searchableFields = searchableFields;
    }

    public String[] getSearchableIntFields() {
        return searchableIntFields;
    }

    public void setSearchableIntFields(String[] searchableIntFields) {
        this.searchableIntFields = searchableIntFields;
    }
    
    private String[] emailOptOutID = null;

    public String[] getEmailOptOutID() {
        return emailOptOutID;
    }

    public void setEmailOptOutID(String[] emailOptOutID) {
        this.emailOptOutID = emailOptOutID;
    }
    
	private String[] emailAddress = null;

	public String[] getEmailAddress() {
		return emailAddress;
	}

	public void setEmailAddress(String[] emailAddress) {
		this.emailAddress = emailAddress;
	}
	private String[] createdTime = null;

	public String[] getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(String[] createdTime) {
		this.createdTime = createdTime;
	}
	private String[] type = null;

	public String[] getType() {
		return type;
	}

	public void setType(String[] type) {
		this.type = type;
	}

	public void setProperties(HttpServletRequest request) {
		super.setProperties(request);
	}

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        setProperties(request);
        ActionErrors errors = new ActionErrors();
		if (getEmailOptOutID() != null) {
			for (int i = 0; i < getEmailOptOutID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("type")) {
					if (getType().length < i + 1 || getType()[i] == null || getType()[i].trim().equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Type"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("emailAddress")) {
					if (getEmailAddress().length < i + 1 || getEmailAddress()[i] == null
							|| getEmailAddress()[i].trim().equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Email Address"));
					}
				}
			}
		}
        return errors;
    }
}
