package com.softslate.commerce.administrator.order;

import java.util.Collection;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;
import com.softslate.commerce.businessobjects.core.ApplicationMessage;
import com.softslate.commerce.businessobjects.order.Order;
import com.softslate.commerce.businessobjects.order.OrderProcessor;
import com.softslate.commerce.customer.core.ActionUtils;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/OrderAdd.do". Processes a request to add a record to the
 * system.
 * 
 * @author Auto-Generated by SoftSlate Extender
 * 
 */
public class OrderAddAction extends BaseAction {

	static Log log = LogFactory.getLog(OrderAddAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		if (log.isDebugEnabled()) log.debug("Starting action.");

		// Add the record
		BaseAdministratorForm baseForm = (BaseAdministratorForm) form;
		OrderProcessor processor = baseForm.getBusinessObjectFactory().createObject(OrderProcessor.class);
		Map results = processor.addOrder(baseForm.mapOfIncomingParams());
		
		// Successful insert
		if (results == null || results.get("resultCode") == null || results.get("resultCode").equals("0")) {

			// Set the success messages
			baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("messages.recordAdded"));
			if (results != null && results.get("newRecord") != null) {
				Order newRecord = (Order) results.get("newRecord");

				// entity.jsp wants the new record in the request scope.
				request.setAttribute("order", newRecord);

				// Set a request scope variable for sub classes to use
				request.setAttribute("newOrderID", new Integer(newRecord.getOrderID()));

				baseForm.getMessages().add( ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("messages.editNewRecord", "OrderEditForm.do?orderID=" + newRecord.getOrderID()));
				request.setAttribute("okNotToEscapeMessages", Boolean.TRUE);
			}

			// If successful, signal the form to be reinstantiated.
			request.setAttribute("reset", "true");
		}
		
		// Set the messages
		ActionUtils actionUtils = (ActionUtils) baseForm.getBusinessObjectFactory().createUtilsObject(
				"actionUtilsImplementer");
		actionUtils.processApplicationMessages(baseForm.getErrors(), baseForm.getMessages(),
				(Collection<ApplicationMessage>) results.get("applicationMessages"));
		saveErrors(baseForm.getRequest(), baseForm.getErrors());
		saveMessages(baseForm.getRequest(), baseForm.getMessages());

		return mapping.findForward("success");
	}
}
