package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.product.ProductSettingProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/ProductSettingAdd.do". Processes a request to add a record to
 * the system.
 * 
 * @author David Tobey
 */
public class ProductSettingAddAction extends BaseAction {

	static Log log = LogFactory.getLog(ProductSettingAddAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		// Add the record
		ProductSettingAddEditForm baseForm = (ProductSettingAddEditForm) form;

		ProductSettingProcessor processor = (ProductSettingProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"productSettingProcessorImplementer");
		processor.addProductSetting(PropertyUtils.describe(form));

		// Set the success message
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
				new ActionMessage("messages.recordAdded"));
		saveMessages(baseForm.getRequest(), baseForm.getMessages());

		// Reset the form
		Class classDefinition = baseForm.getClass();
		baseForm = (ProductSettingAddEditForm) classDefinition.newInstance();
		baseForm.initializeProperties(mapping, request);
		request.setAttribute("productSettingAddEditForm", baseForm);

		return mapping.findForward("success");
	}
}
