package com.softslate.commerce.administrator.tax;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class corresponding to requests to
 * <code>/administrator/BasicTaxAddForm.do</code>. Creates an empty
 * <code>BasicTaxAddEditForm</code> object.
 * 
 * @author David Tobey
 * 
 */
public class BasicTaxAddFormAction extends BaseAction {

	static Log log = LogFactory.getLog(BasicTaxAddFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		BasicTaxAddEditForm baseForm = (BasicTaxAddEditForm) form;

		if (request.getAttribute("reset") != null
				&& request.getAttribute("reset").equals("true")) {
			Class classDefinition = baseForm.getClass();
			baseForm = (BasicTaxAddEditForm) classDefinition.newInstance();
		}

		baseForm.initializeProperties(mapping, request);
		request.setAttribute("basicTaxAddEditForm", baseForm);

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home", "Basic Tax Rates",
				"Add Basic Tax Rate" });
		request.setAttribute("breadcrumbs", bcs);

		return mapping.findForward("success");
	}
}
