package com.softslate.commerce.businessobjects.order;

import java.io.Serializable;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;

import com.softslate.commerce.businessobjects.core.BaseBusinessObject;

/**
 * Object representing a state within the system. <code>StateBean</code> is
 * the default implementation of the <code>State</code> interface for the
 * application.
 * <p>
 * The database stores states in the <code>sscState</code> table, and this
 * interface can be used to represent a single row of that table. The Hibernate
 * configuration file <code>StateBean.hbm.xml</code> maps that table's columns
 * to the properties in this object.
 * 
 * @author David Tobey
 * 
 */
@Audited
@AuditTable("AudState")
public class StateBean extends BaseBusinessObject implements State,
		Serializable {

	private static final long serialVersionUID = -2416483153052873547L;

	private int stateID = 0;

	private int countryID = 0;

	private String code = null;

	private String name = null;

	private int stateOrder = 0;

	private boolean isActive = true;

	private Country country = null;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public int getCountryID() {
		return countryID;
	}

	public void setCountryID(int countryID) {
		this.countryID = countryID;
	}

	public boolean getIsActive() {
		return isActive;
	}

	public void setIsActive(boolean isActive) {
		this.isActive = isActive;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getStateOrder() {
		return stateOrder;
	}

	public void setStateOrder(int stateOrder) {
		this.stateOrder = stateOrder;
	}

	public int getStateID() {
		return stateID;
	}

	public void setStateID(int stateID) {
		this.stateID = stateID;
	}

	public Country getCountry() {
		return country;
	}

	public void setCountry(Country country) {
		this.country = country;
	}

}
