package com.softslate.commerce.daos.order;

import com.softslate.commerce.businessobjects.order.OrderDiscount;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO to manage the <code>sscOrderDiscount</code> table of the
 * database.
 * 
 * @author David Tobey
 * 
 */
public interface OrderDiscountDAO extends DAOInterface {
	abstract OrderDiscount getOrderDiscount();

	abstract void setOrderDiscount(OrderDiscount orderDiscount);

	abstract void loadOrderDiscountFromID() throws Exception;

	abstract void insertOrderDiscount() throws Exception;

	abstract void insertOrderDiscount(boolean commit) throws Exception;

	abstract void updateOrderDiscount() throws Exception;

	abstract void updateOrderDiscount(boolean commit) throws Exception;

	abstract void deleteOrderDiscount() throws Exception;

	abstract void deleteOrderDiscount(boolean commit) throws Exception;
}
