package com.softslate.commerce.daos.order;

import com.softslate.commerce.businessobjects.order.State;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscState</code> table of the
 * database.
 * 
 * @author David Tobey
 * 
 */
public interface StateDAO extends DAOInterface {
    abstract State getState();

    abstract void setState(State state);

    abstract void loadStateFromID() throws Exception;

    abstract void insertState() throws Exception;

    abstract void insertState(boolean commit) throws Exception;

    abstract void updateState() throws Exception;

    abstract void updateState(boolean commit) throws Exception;

    abstract void deleteState() throws Exception;

    abstract void deleteState(boolean commit) throws Exception;
}
