package com.softslate.commerce.daos.product;

import java.util.Collection;

import com.softslate.commerce.businessobjects.product.Product;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscProduct</code> table of the
 * database.
 * 
 * @author David Tobey
 */
public interface ProductDAO extends DAOInterface {
    abstract Product getProduct();

    abstract void setProduct(Product product);

    abstract void loadProduct() throws Exception;

    abstract void loadProductFromSeoCode() throws Exception;

    abstract void loadProductFromID() throws Exception;

    abstract void loadAttributesAndOptions() throws Exception;

    abstract void deleteProduct() throws Exception;

    abstract void deleteProduct(boolean commit) throws Exception;

    abstract void insertProduct() throws Exception;

    abstract void insertProduct(boolean commit) throws Exception;

    abstract void updateProduct() throws Exception;

    abstract void updateProduct(boolean commit) throws Exception;

    abstract void updateProductOrderByID(int productID, int productOrder) throws Exception;

    abstract void updateProductByCode() throws Exception;

    abstract void updateProductByCode(boolean commit) throws Exception;

    abstract Collection loadSettings() throws Exception;

	abstract void loadProductFromCode() throws Exception;
	
	abstract void loadProductFromSeoCodeAdmin() throws Exception;
}
