package com.softslate.commerce.daos.shipping;

import com.softslate.commerce.businessobjects.shipping.ShippingRule;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscShippingRule</code> table of the
 * database.
 * 
 * @author Jason McWilliams
 */
public interface ShippingRuleDAO extends DAOInterface {
    abstract ShippingRule getShippingRule();

    abstract void setShippingRule(ShippingRule shippingRule);

    abstract void loadShippingRuleFromID() throws Exception;

    abstract void insertShippingRule() throws Exception;

    abstract void insertShippingRule(boolean commit) throws Exception;

    abstract void updateShippingRule() throws Exception;

    abstract void updateShippingRule(boolean commit) throws Exception;

    abstract void deleteShippingRule() throws Exception;

    abstract void deleteShippingRule(boolean commit) throws Exception;
}
