create table sscCustomer (
	customerID int4 not null, 
	class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerBean', 
	userName varchar(100) not null unique, 
	password varchar(255), 
	created varchar(100), 
	lastLogin varchar(100), 
	autoLoginToken varchar(255), 
	status varchar(100), 
	firstName varchar(100), 
	lastName varchar(100), 
	organization varchar(100), 
	address1 varchar(255), 
	address2 varchar(255), 
	city varchar(100), 
	state varchar(100), 
	postalCode varchar(100), 
	country varchar(100), 
	phone1 varchar(100), 
	phone2 varchar(100), 
	email1 varchar(100), 
	email2 varchar(100),
	cimProfileID varchar(100),
	passwordToken varchar(100),
	passwordTokenDate varchar(100),
	passwordExpires varchar(255),
	numberOfFailedLogins int4,
	lockedOutUntil varchar(255),
	previousPasswords text,
	canUsePO bool not null default false,
	extra1 varchar(255), 
	extra2 varchar(255), 
	extra3 varchar(255), 
	extra4 varchar(255), 
	extra5 varchar(255), 
	notes text, 
	primary key (customerID)
);

CREATE INDEX IDX_sscCustomer_userName ON sscCustomer (userName);
CREATE INDEX IDX_sscCustomer_firstName ON sscCustomer (firstName);
CREATE INDEX IDX_sscCustomer_lastName ON sscCustomer (lastName);
CREATE INDEX IDX_sscCustomer_address1 ON sscCustomer (address1);
CREATE INDEX IDX_sscCustomer_postalCode ON sscCustomer (postalCode);
CREATE INDEX IDX_sscCustomer_phone1 ON sscCustomer (phone1);
CREATE INDEX IDX_sscCustomer_email1 ON sscCustomer (email1);
CREATE INDEX IDX_sscC_autoLogin ON sscCustomer (autoLoginToken);
alter table sscProductReview add constraint FKPRC foreign key (customerID) references sscCustomer ON DELETE SET NULL;

create table sscCustomerAddress (
	customerAddressID int4 not null, 
	class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerAddressBean', 
	customerID int4, 
	status varchar(100), 
	firstName varchar(100), 
	lastName varchar(100), 
	organization varchar(100), 
	address1 varchar(255), 
	address2 varchar(255), 
	city varchar(100), 
	state varchar(100), 
	postalCode varchar(100), 
	country varchar(100), 
	phone1 varchar(100), 
	phone2 varchar(100), 
	email1 varchar(100), 
	email2 varchar(100), 
	isDefault bool not null default false,
	paymentToken varchar(255),
	creditCardName varchar(255),
	creditCardType varchar(255),
	creditCardDate varchar(255),
	creditCardNumberDisplay varchar(255),
	identifier varchar(255),
	isBilling bool not null default false,
	extra1 varchar(255), 
	extra2 varchar(255), 
	extra3 varchar(255), 
	extra4 varchar(255), 
	extra5 varchar(255), 
	notes text, 
	primary key (customerAddressID)
);

CREATE INDEX IDX_sscCustomerAddress_firstName ON sscCustomerAddress (firstName);
CREATE INDEX IDX_sscCustomerAddress_lastName ON sscCustomerAddress (lastName);
CREATE INDEX IDX_sscCustomerAddress_address1 ON sscCustomerAddress (address1);
CREATE INDEX IDX_sscCustomerAddress_postalCode ON sscCustomerAddress (postalCode);
CREATE INDEX IDX_sscCustomerAddress_phone1 ON sscCustomerAddress (phone1);
CREATE INDEX IDX_sscCustomerAddress_email1 ON sscCustomerAddress (email1);

alter table sscCustomerAddress add constraint FKD2A976162BA67B06 foreign key (customerID) references sscCustomer on delete cascade;

CREATE TABLE sscCustomerWishList (
  customerWishListID int4 not null,
  customerID int4,
  name varchar(255),
  description varchar(255),
  created varchar(100),
  lastUpdated varchar(100),
  class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListBean', 
  primary key (customerWishListID)
);

alter table sscCustomerWishList add constraint FKCWLC foreign key (customerID) references sscCustomer on delete cascade;

CREATE TABLE sscCustomerWishListProduct (
  customerWishListProductID int4 not null,
  customerWishListID int4,
  productID int4,
  class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListProductBean', 
  primary key (customerWishListProductID)
);

alter table sscCustomerWishListProduct add constraint FKCWLPCWL foreign key (customerWishListID) references sscCustomerWishList on delete cascade;
alter table sscCustomerWishListProduct add constraint FKCWLPP foreign key (productID) references sscProduct on delete cascade;
