<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start settingsAdvancedDisplay.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<html:form action="/SettingsProcessAdvancedDisplay" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="ADVANCEDDISPLAY">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsAdvancedDisplayEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>


<div class="notes">
	<h3 class="administratorSubhead">Technical Notes</h3>
	<ul class="notesList">
		<li class="note">
			<p>The "default-html5" layout is a new set of default layouts that first shipped with version 3.3.2, 
			contained within the /WEB-INF/layouts/default-html5 directory.
			It is recommended for all new stores and new stores are installed using it by default.</p>
			<p>If your store was installed before 3.3.2, the upgrade process will leave the Base Layout at the legacy "default-html5" set of templates for backwards compatibility.</p>
			<p>Form more information, please visit the <a href="http://www.softslate.com/documentation/html/defaultLayoutSetting.html">Default Layout Setting page</a> of the User Guide.</p>
		</li>
	</ul>
</div>
<!-- End settingsAdvancedDisplay.jsp -->
