<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start manufacturerFormGuts.jsp -->
<tr class="altRow">
	<td class="property setting"><label for="name">Name:</label></td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="manufacturerAddEditForm" property="name" styleId="name" />
		<div class="fieldDescription">The name of this manufacturer as it appears to customers (may include HTML tags).</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting"><label for="code">
		Code:
	</label></td>
	<td class="value">
		<html:text maxlength="100" styleClass="length100" name="manufacturerAddEditForm" property="code" styleId="code" />
		<div class="fieldDescription">A unique code for this manufacturer, used by the system to identify it. (No spaces, commas, or pipe characters.)</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="websiteURL">
		Website URL:
	</label></td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="manufacturerAddEditForm" property="websiteURL" styleId="websiteURL" />
		<div class="fieldDescription">The complete URL for this manufacturer's website. Include "http://".</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="description">
		Description:
	</label></td>
	<td class="value">
		<html:textarea rows="20" name="manufacturerAddEditForm" property="description" styleId="description" styleClass="description htmlDescription"/>
		<div class="fieldDescription">A description for this manufacturer as displayed to customers.</div>
		<c:choose>
			<c:when test="${settings.map.useTinyMCE eq '1'}">
				<script>tinymce.init({
						selector: "textarea.htmlDescription",
						menubar: "false",
						toolbar: "formatselect | styleselect | undo redo | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent blockquote | link image | table | code",
						plugins: "table code link image paste",
					    tools: "inserttable",
					    paste_text_sticky: true
				});</script>
			</c:when>
			<c:otherwise>
				<div><a href="#" id="showHTMLDialog">Use Design Editor &raquo;</a></div>
				<div id="designEditor">
					<div class="hd">Manufacturer Description</div>
					<div class="bd">
						<div><textarea id="designEditorTextarea" name="designEditorTextarea"><c:out value="${manufacturerAddEditForm.description}"/></textarea></div>
						<script language="JavaScript" type="text/javascript">
							<!--
							YAHOO.designEditor.targetField = document.forms.manufacturerAddEditForm.description;
							YAHOO.designEditor.sourceField = document.forms.manufacturerAddEditForm.designEditorTextarea;
							//-->
						</script>
					</div>
				</div>
			</c:otherwise>
		</c:choose>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="manufacturerHeader">
		Header:
	</label></td>
	<td class="value">
		<html:textarea rows="5" name="manufacturerAddEditForm" property="header" styleId="manufacturerHeader" styleClass="description htmlDescription" />
		<div class="fieldDescription">Any HTML that will appear above the manufacturer detail on this manufacturer's page.</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="manufacturerFooter">
		Footer:
	</label></td>
	<td class="value">
		<html:textarea rows="5" name="manufacturerAddEditForm" property="footer" styleId="manufacturerFooter" styleClass="description htmlDescription" />
		<div class="fieldDescription">Any HTML that will appear below the manufacturer detail on this manufacturer's page.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="smallImage">
		Small Image Path:
	</label></td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="manufacturerAddEditForm" property="smallImage" styleId="smallImage" />
		<div class="fieldDescription">A thumbnail image for this manufacturer. (Enter a URL path to the image.)</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="largeImage">
		Large Image:
	</label></td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="manufacturerAddEditForm" property="largeImage" styleId="largeImage" />
		<div class="fieldDescription">The zoom image for this manufacturer. (Enter a URL path to the image.)</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting">
		Drop Shipper?:
	</td>
	<td class="value">
		<html:radio name="manufacturerAddEditForm" property="isDropShipper" value="true" styleId="isDropShipper-true" styleClass="radiobtn" /> <label for="isDropShipper-true">yes</label>
		<html:radio name="manufacturerAddEditForm" property="isDropShipper" value="false" styleId="isDropShipper-false" styleClass="radiobtn" /> <label for="isDropShipper-false">no</label>
		<div class="fieldDescription">If true, for shipping processors that support it such as the UPS processor, 
		this manufacturer will be treated as a drop shipper and the below address will be used as the origination point when querying for shipping rates.</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="address1">
		Address 1:
	</label></td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="manufacturerAddEditForm" property="address1" styleId="address1" />
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="address2">
		Address 2:
	</label></td>
	<td class="value">
		<html:text  maxlength="255" styleClass="textbox" name="manufacturerAddEditForm" property="address2" styleId="address2" />
	</td>
</tr>
<tr class="row">
	<td class="property setting"><label for="city">City:</label></td>
	<td class="value">
		<html:text name="manufacturerAddEditForm" property="city" styleId="city" maxlength="100" styleClass="length100"/>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="state">State:</label></td>
	<td class="value">
		<html:select name="manufacturerAddEditForm" property="state" styleId="state">
			<option value="">Select</option>
			<option value="">-------------</option>
			<html:options collection="states" property="code" labelProperty="name"/>
		</html:select>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="postalCode">Postal Code:</label></td>
	<td class="value">
		<html:text name="manufacturerAddEditForm" property="postalCode" styleId="postalCode" maxlength="100" styleClass="length100"/>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="country">Country:</label></td>
	<td class="value">
		<html:select name="manufacturerAddEditForm" property="country" styleId="country">
			<option value="">Select</option>
			<option value="">-------------</option>
			<html:options collection="countries" property="code" labelProperty="name"/>
		</html:select>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="phone">Phone:</label></td>
	<td class="value">
		<html:text name="manufacturerAddEditForm" property="phone" styleId="phone" maxlength="100" styleClass="length100"/>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="email">Email:</label></td>
	<td class="value">
		<html:text name="manufacturerAddEditForm" property="email" styleId="email" maxlength="100" styleClass="length100"/>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="extra1">
		Extra 1:
	</label></td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="manufacturerAddEditForm" property="extra1" styleId="extra1" />
		<div class="fieldDescription">Any extra, or custom information associated with this manufacturer.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="extra2">
		Extra 2:
	</label></td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="manufacturerAddEditForm" property="extra2" styleId="extra2" />
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="extra3">
		Extra 3:
	</label></td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="manufacturerAddEditForm" property="extra3" styleId="extra3" />
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="manufacturerOrder">
		Manufacturer Order:
	</label></td>
	<td class="value">
		<html:text styleClass="number" maxlength="10" name="manufacturerAddEditForm" property="manufacturerOrder" styleId="manufacturerOrder" />
		<div class="fieldDescription">The order in which this manufacturer will appear relative to other manufacturers.</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting">
		Active:
	</td>
	<td class="value">
		<html:radio name="manufacturerAddEditForm" property="isActive" value="true" styleId="isActive-true" styleClass="radiobtn" /> <label for="isActive-true">yes</label>
		<html:radio name="manufacturerAddEditForm" property="isActive" value="false" styleId="isActive-false" styleClass="radiobtn" /> <label for="isActive-false">no</label>
		<div class="fieldDescription">If false, this manufacturer will not appear at all to customers. Products assigned to it will appear, unless they are also set to not be active.</div>
	</td>
</tr>

<c:if test="${settings.map.advancedSearchOn eq '1'}">
	<tr class="altRow">
		<td class="setting">Update Advanced Search Index:</td>
		<td class="value"><html:radio name="manufacturerAddEditForm" property="updateAdvancedSearchIndex" value="true" /> yes
		&nbsp;&nbsp; <html:radio name="manufacturerAddEditForm" property="updateAdvancedSearchIndex" value="false" /> no
		<div class="fieldDescription">If yes, as this record is saved, the corresponding document stored in the advanced search index will be updated.</div>
		</td>
	</tr>
</c:if>
<!-- End manufacturerFormGuts.jsp -->
