<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start optionFormGuts.jsp -->
<html:hidden name="optionAddEditForm" property="attributeID" />
<html:hidden name="optionAddEditForm" property="productID" />
<logic:notEmpty name="optionAddEditForm" property="parentName">
	<html:hidden name="optionAddEditForm" property="parentName"/>
</logic:notEmpty>
<tr class="altRow">
	<td class="property setting"><label for="optionName">Name:</label></td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="optionAddEditForm" property="optionName" styleId="optionName"/>
		<div class="fieldDescription">The name of this option as it appears to customers in the attribute's drop down menu or list of radio buttons.</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="optionCode">Code:</label></td>
	<td class="value">
		<html:text maxlength="100" styleClass="length100" name="optionAddEditForm" property="optionCode" styleId="optionCode"/>
		<div class="fieldDescription">A unique code for this option under the attribute, used by the system to identify it. (No spaces, commas, or pipe characters.) If left blank, the system will automatically generate the code from the name.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="optionUnitPrice">Price:</label></td>
	<td class="value">
		<html:text maxlength="9" styleClass="number" name="optionAddEditForm" property="optionUnitPrice" styleId="optionUnitPrice"/>
		<div class="fieldDescription">This option's price, used for display to customers and for calculating order totals.</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="optionAltPrice">Alternate Price:</label></td>
	<td class="value">
		<html:text maxlength="9" styleClass="number" name="optionAddEditForm" property="optionAltPrice" styleId="optionAltPrice"/>
		<div class="fieldDescription">An alternate price for the option. (Not used in any processing logic.)</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="optionUnitCost">Cost:</label></td>
	<td class="value">
		<html:text styleClass="number" maxlength="9" name="optionAddEditForm" property="optionUnitCost" styleId="optionUnitCost"/>
		<div class="fieldDescription">This option's (manufacturing or other) cost. (Not used in any processing logic.)</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="optionWeight">Weight:</label></td>
	<td class="value">
		<html:text styleClass="number" maxlength="9" name="optionAddEditForm" property="optionWeight" styleId="optionWeight"/>
		<div class="fieldDescription">This option weight. Used to calculate shipment weights.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="optionDescription">Description:</label></td>
	<td class="value">
		<html:text styleClass="textbox" name="optionAddEditForm" property="optionDescription" styleId="optionDescription"/>
		<div class="fieldDescription">A description for this option.</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="optionSmallImage">Small Image Path:</label></td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="optionAddEditForm" property="optionSmallImage" styleId="optionSmallImage"/>
	</td>
</tr>

<tr>
	<td class="setting">Upload:</td>
	<td class="value"><html:file property="smallImageUpload" name="optionAddEditForm"></html:file>
	<div class="fieldDescription">The thumbnail image for this option.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting"><label for="optionLargeImage">Large Image:</label></td>
	<td class="value">
		<html:text maxlength="255" styleClass="textbox" name="optionAddEditForm" property="optionLargeImage" styleId="optionLargeImage"/>
	</td>
</tr>

<tr>
	<td class="setting">Upload:</td>
	<td class="value"><html:file property="largeImageUpload" name="optionAddEditForm"></html:file>
	<div class="fieldDescription">The larger image for this option.</div>
	</td>
</tr>

<tr class="row">
	<td class="property setting"><label for="optionOrder">Option Order:</label></td>
	<td class="value">
		<html:text styleClass="number" maxlength="10" name="optionAddEditForm" property="optionOrder" styleId="optionOrder"/>
		<div class="fieldDescription">The order in which this option will appear relative to other options.</div>
	</td>
</tr>

<tr class="altRow">
	<td class="property setting">Active:</td>
	<td class="value">
		<html:radio name="optionAddEditForm" property="optionIsActive" value="true" styleId="optionIsActive-true" styleClass="radiobtn"/> <label for="optionIsActive-true">yes</label>
		<html:radio name="optionAddEditForm" property="optionIsActive" value="false" styleId="optionIsActive-false" styleClass="radiobtn"/> <label for="optionIsActive-false">no</label>
		<div class="fieldDescription">If no, this option will not appear to customers.</div>
	</td>
</tr>

<!-- End optionFormGuts.jsp -->
